<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('config.php');
include('funktionen.php');

pruefe_https();
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

htmlkopf();
if($raapp_login==1) { sessioncheck(1); }


echo "<div id='container'>";

function anzeigen() {
	global $link;
	global $raapp_login;
	
	$typ= array("Admin", "Benutzer", "eingeschränkter Benutzer");
	$aktiv= array("inaktiv", "aktiv");
	
	echo "<div id='btop'>";
	if($raapp_login==1) {
		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a>
		<br></div><hr>";
	echo "<p class='edit_neu'><br><a class='verz_button' href='benutzer.php?sw=3'><IMG SRC='images/b_aendern.png'></a> Neuen Benutzer anlegen</p>
		<table class='edit'>
		<tr><th></th><th>Mailadresse</th><th>Status</th><th>Typ</th><th>Bemerkungen</th></tr>";
		$abfrage="SELECT * FROM photo_usr";
		// echo $abfrage;
		$erg = mysqli_query($link, $abfrage);

		while ( $myphoto=mysqli_fetch_object( $erg )) {
			$i=$myphoto->typ;
			$a=$myphoto->aktiv;
			echo "<tr><td><a class='verz_button' href='benutzer.php?sw=1&id=$myphoto->id'><IMG SRC='images/b_aendern.png' onmouseover='InfoBoxAnzeigen(event,info[4],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a class='verz_button' href='benutzer.php?sw=6&id=$myphoto->id'><IMG SRC='images/b_loeschen.png' onmouseover='InfoBoxAnzeigen(event,info[2],40,-30);' onmouseout='InfoBoxAusblenden();'></a></td>
				<td>$myphoto->mailadresse</td>
				<td>$aktiv[$a]</td>
				<td>$typ[$i]</td>
				<td>$myphoto->bemerkung</td>
			</tr>";
		}
	echo "</table><br>";
}

function anzeigen_form($id) {
	global $link;
	global $raapp_login;
	
	echo "<div id='btop'>";
	if($raapp_login==1) {
		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a>
		<br></div><hr>";
	
	$abfrage="SELECT * FROM photo_usr where id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);

	// kleines Java Script zum einblenden des Passwortfeldes
	echo "<script>
	function passw() {
		var f = '<label>Passwort</label><br><input name=\'passwort\' type=\'text\' required> ';
			f = f+'<br>wir empfehlen ein ausreichend sicheres Passwort aus Buchtsaben, Zahlen';
			f = f+'<br>und folgenden Sonderzeichen zu verwenden ! § $ % / ( ) , . ; : - _'
		document.getElementById('passw').innerHTML= f;
	}
	</script>";
	
	echo "<p> </p><form class='f_benutzer' method='post' action='benutzer.php?sw=2'>";
		
	// Benutzerkennung aktiv/inaktiv
	$checked="";
	if($satz['aktiv']==1) { $checked="checked"; }
	echo "<br><label>aktiv</label><input type='checkbox' name='aktiv' value='1' $checked>";
	
	// Typ der Benutzerkennung 0 Admin, 1 Benutzer  2 eingeschränkter Benutzer
	$selected[$satz['typ']]="selected";
	echo "<br><label>Benutzertyp</label>
		<br><select name='typ'>
			<option value='0' $selected[0]>Admin</option>
			<option value='1' $selected[1]>Benutzer</option>
			<option value='2' $selected[2]>eingeschränkter Benutzer</option>
		</select>

		<br><label>Mailadresse</label>
		<input name='id' type='hidden' size='8' value='". $satz['id'] . "'>
		<br><input name='mailadresse' type='email' size='20' value='". $satz['mailadresse'] . "' required>";
		
	if(strlen($satz['passw'])<1) {
		echo "<br><label>Passwort</label><br><input name='passwort' type='text' required>";
	} else {
		echo "<br><div id='passw'><label class='top_button' onclick='passw()'>Passwort ändern</label></div>";
	}
		
	echo "<br><br><label>Bemerkung</label>
		<br><input name='bemerkung' type='text' size='20' value='". $satz['bemerkung'] . "'>
		
		<br><input class='navig' type='submit' value=' speichern '></form>
		<br>";
}

function update_benutzer($post) {
	global $link;
	
	if(!isset($post['aktiv'])) { $aktiv=0; } else { $aktiv=$post['aktiv']; }
	if(isset($post['passwort'])) {
		$passwh=password_hash($post['passwort'], PASSWORD_DEFAULT);
		$up_passw="passw='" . $passwh . "' ,";
	} else {
		$up_passw="";
	}

	$aendern = "UPDATE photo_usr SET mailadresse='" . $post['mailadresse'] . "' , $up_passw
				aktiv='" . $aktiv . "' , typ='" . $post['typ'] . "' , bemerkung='" . $post['bemerkung'] . "' where id=" . $post['id'];
	// echo "<br>$aendern<br>";
	$erg = mysqli_query($link, $aendern);
}

function neuer_benutzer() {
	global $link;
	
	$abfrage="INSERT into photo_usr set mailadresse='neuer Benutzer', passw='', typ='0', aktiv='0', bemerkung=''";
	$erg = mysqli_query($link, $abfrage);
	
	$abfrage="SELECT id FROM photo_usr ORDER BY id DESC LIMIT 1";
	// echo "<br>Select: " . $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);
	// echo "<br>ID: " . $satz['id'];
	return($satz['id']);
}

function del_benutzer($id) {
	global $link;
	
	$abfrage="DELETE from photo_usr where id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	anzeigen();
	echo "<br>Der Benutzer wurde gelöscht<br>";
}


$kopf="<div id='container'><div id='kopf'>". $_SESSION['albumname'] . "</div>";

switch ($_GET['sw']) {
	case 1:		echo $kopf;
				anzeigen_form($_GET['id']);
				break;
	case 2:		echo $kopf;
				update_benutzer($_POST);
				anzeigen();
				break;
	case 3:		$id=neuer_benutzer();
				echo $kopf;
				anzeigen_form($id);
				break;
	case 4:		
				break;
	case 5:		
				break;
	case 6:		echo $kopf;
				del_benutzer($_GET['id']);
				break;
	default:	echo $kopf;
				anzeigen();
				break;
}

mysqli_close($link);
echo "</div>";
htmlfuss();
?>