﻿<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details fi
nden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

// liest das mit dir &uuml;bergebene Dateiverzeichnis und schreibt alle .jpg und .mp4 Dateinamen in ein Array
// das dann in die Datenbank eingef�gt wird
session_start();
include("config.php");
include ("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

function bilder_laden_form($verzeichnis,$sw) {
	global $raapp_login;
	
  echo "<div id='verzzeile'>";
  if($raapp_login==1) {
  	echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
  }
  echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a>
 		</div>";

	if ( $sw>1 ) {
  echo "<FORM ACTION='bilder_laden.php?sw=$sw' METHOD='POST'>
  		<br><div id='kopf1'>Verzeichnis <INPUT TYPE=TEXT NAME='dir' SIZE=64 Value='$verzeichnis' readonly='readonly'></div>
		<input type='radio' name='datumsmethode' value='auto' checked='checked' onchange='datumfeld_aus()'> Datum automatisch aus der Bilddatei &uuml;bernehmen
    	<br><input type='radio' name='datumsmethode' value='man' onchange='datumfeld_an()'> Datum eingeben					
		<br><br><div id='datumfeld' style='visibility: hidden;'>Tag . Monat . Jahr
		<br><INPUT TYPE=TEXT NAME='tag' SIZE=2>.
		<INPUT TYPE=TEXT NAME='monat' SIZE=2>.
		<INPUT TYPE=TEXT NAME='jahr' SIZE=5></div>
		<br><br><br><INPUT class='top_button' TYPE=SUBMIT NAME='B1' VALUE='Laden'>&nbsp;&nbsp;&nbsp;
		<INPUT class='top_button' TYPE=RESET NAME='B2' VALUE='Zur&uuml;cksetzen'> 
			</form>"; }
}
// ********  Ende function bilder_laden_form

function durchsuchen($verzeichnis,$sw) {
	// Verzeichnisse durchsuchen
	// $vd = Verzeichnis oder oder Datei
	// $sw = Vorbelegung switch zur Steuerung im hauptteil des Script's
	
	global $raapp_login;
	
    echo "<div id='btop'>";
    if($raapp_login==1) {
    	echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
    }
    echo " <A class='top_button' HREF='../index.html'><IMG SRC='../bin/images/b_home.png' alt='Home'></A> ";
    
    if($sw > 2) { echo "<A class='top_button' HREF='bilder_laden.php?sw=0'><IMG SRC='../bin/images/b_verzo.png' alt='zur&uuml;ck' ALIGN='BOTTOM'></A>"; }
    
    echo "<a class='top_button' href='../bin/beschreibung.php#BilderEinlesen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
		<div id='kopf1'>Bilder einlesen, bitte ein Verzeichnis ausw&auml;hlen</div>";
	
   	chdir ( $verzeichnis );
 	$sv=getcwd();
 	$files=scandir( $sv, 1 );
    
 	foreach ( $files as $file ) {
          if ( $file != '.' && $file != '..' && $file != 'bin' && $file != 'export' && $file != 'TMP') {
				$tmpsv=$sv . DIRECTORY_SEPARATOR . $file;

				// nur Verzeichnisse ausgeben
				if (is_dir($tmpsv)) {
					echo "<div id='verzzeile'><a class='top_button' href='bilder_laden.php?sw=$sw&verzeichnis=$tmpsv'><img src='../bin/images/b_verzu.png' alt='Einlesen'> $tmpsv</a></div>
					"; }
			 }
			}
}
// Verzeichnisname der letzten beiden Verzeichnisse im String dir extrahieren

function dir_to_verz($dir) {
	$verz=explode(DIRECTORY_SEPARATOR, $dir);
	$stueck=count($verz);
	--$stueck;
	$verz2=$verz[$stueck];
	--$stueck;
	$verz1=$verz[$stueck];
	return array ($verz1,$verz2);
}
// ********  Ende function dir_to_verz



function neu_laden($dir, $verz1, $verz2, $tag, $monat, $jahr, $datumsmethode) {
	
	global $link;

	if (betriebssystem()==2) {
		$dh  = opendir(utf8_decode($dir));		// mysql und Browser arbeitet mit utf8 Windows mit Iso8859-1 deshalb decodieren
	} else {
		$dh=opendir($dir);
	}
	while (false !== ($filename = readdir($dh))) {
// echo "****bilder_laden.php - Dateiname: $filename<br>";
		if (preg_match('/.JPG/i', $filename) or preg_match('/.mp4/i', $filename) ) {			// nur jpg, und mp4-Dateien einlesen
		    $files[] = $filename;
		}
	}

	$anzahl = count($files);
	sort($files);
	$anz=0;
	
// echo "****bilder laden.php - Anzahl Files: $anzahl<br>"; var_dump($files);
	// pr�fen ob verz1 bereits vorhanden und fals nicht eintragen
	$v1tmp=hole_verz1_id($verz1);
	if($v1tmp==0) {
		$eintragen="Insert INTO photo_verz1 (verz1_titel) values ('$verz1')";
		mysqli_query($link, $eintragen);
		$v1tmp=hole_verz1_id($verz1);
		}
	// pr�fen ob verz2 bereits vorhanden und fals nicht eintragen		
	$v2tmp=hole_verz2_id($verz2, $v1tmp);	
	if($v2tmp==0) {
		$eintragen="Insert INTO photo_verz2 (verz1_id, verz2_titel) values ('$v1tmp','$verz2')";
		mysqli_query($link, $eintragen);
		$v2tmp=hole_verz2_id($verz2, $v1tmp);
		}
/* hoechsten sortier Wert holen */
	$abfrage="SELECT MAX(sortier) as tsort FROM photo_daten WHERE verz1_id=$v1tmp and verz2_id=$v2tmp";
	$erg=mysqli_query($link, $abfrage);
	$ergsort=mysqli_fetch_object($erg);
	$sort=$ergsort->tsort+1; 
		
	 for ($a = 0; $a < $anzahl; $a++) {
			if(bild_vorhanden($v1tmp,$v2tmp,$files[$a])==0) {
				// bei datumsmethode auto Datum aus Bilddatei generieren
				if($datumsmethode=="auto") {
					if (preg_match('/.JPG/i', $files[$a])) {
						$bildpfad=$dir . DIRECTORY_SEPARATOR . $files[$a];
// echo "****Bild: " . $files[$a] . "Bildpfad: $bildpfad"; exit();
//					echo "Datum wird automatisch aus $bildpfad generiert<br>";
						if (betriebssystem()==2) {
							$exif = exif_read_data(utf8_decode($bildpfad), 'EXIF'); // wenn Windows ISO 8859-1
						} else {
							$exif = exif_read_data($bildpfad, 'EXIF');
						}
						if($exif===FALSE) {
							echo "Keine EXIF Headerdaten in $bildpfad f&uuml;r das Datum gefunden.<br />";
							$jahr="";
							$monat="";
							$tag="";
						} else {
							$teile=explode(" ", $exif['DateTimeOriginal']);
							$datum=explode(":",$teile[0]);
							$jahr=$datum[0];
							$monat=$datum[1];
							$tag=$datum[2];
						}
					}
				}
			$eintragen="INSERT INTO photo_daten (verz1_id, verz2_id, bild, tag, monat, jahr, privat, person, bildtext, sortier ) values('$v1tmp', '$v2tmp', '$files[$a]','$tag','$monat','$jahr','0','','','$sort')";
			// echo "$eintragen<br>";
			mysqli_query($link, $eintragen);
			// echo "$files[$a] geladen<br>";
			++$anz;
			++$sort;
		} else {
			/* echo "$files[$a] bereits vorhanden<br>"; */
			}
		$lbild=$files[$a];

	} 
	
	echo "<br> erstes  Bild: $files[0]
				<br> letztes Bild: $lbild
				<br> <br>$anz von $anzahl Datens&auml;tzen verarbeitet 
				<a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
				";
}
// ********  Ende function neu_laden

// ###############  zentrale Steuerung Script ######################
$sw=$_GET['sw'];
htmlkopf();
echo "<div id='container'>
	<div id='kopf'>". $_SESSION['albumname'] . "</div>";

switch ($sw) {
	case 1:			// momentan nicht belegt
					break;
					
	case 2:			// durchsuchen Ebene 2
					durchsuchen($_GET['verzeichnis'], 3);
					break;

	case 3:			// Formular mitVerzeichnisname anzeigen
					bilder_laden_form($_GET['verzeichnis'],4);
					break;

	case 4:			// Variablen f�r Script verf�gbar machen
					list($verz1, $verz2)=dir_to_verz($_POST['dir']);
					// Bilder laden
					neu_laden($_POST['dir'],$verz1,$verz2,$_POST['tag'],$_POST['monat'],$_POST['jahr'], $_POST['datumsmethode']);
					break;
	default:
					// durchsuchen Ebene 1
					durchsuchen ('../', 2);
					break;
					}
echo "</div>";
htmlfuss();
mysqli_close($link);
?>