<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include("config.php");
include("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

function bildsuchformular() {
	global $raapp_login;
	
  echo "<div id='btop'>";
  if($raapp_login==1) {
  	echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
  }
  echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<a class='top_button' href='../bin/bildersuch.php?p=" . $_SESSION['privat'] . "&sw=4'><img src='../bin/images/b_personen.png' onmouseover='InfoBoxAnzeigen(event,info[6],20,-30);' onmouseout='InfoBoxAusblenden();'></a>
		<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
  		<br><table class='formular'>
  		<tr><td colspan='2'><form  name='suche' action='bildersuch.php?sw=1&i=0&s=-1' method='POST'>
   			Auswahl Medientyp<BR>
  			<input type='radio' name='medientyp' value='alle' checked> Alle
  			<input type='radio' name='medientyp' value='bilder'> Bilder
  			<input type='radio' name='medientyp' value='video'> Video</td>
  			</tr>
  		<tr><td colspan='2'>
   			Suchwort f&uuml;r Verzeichnis<BR>
  			<input type='text' name='verz2' size='30'></td></tr>
		<tr><td colspan='2'>Tag . Monat . Jahr <BR>
  			<input class='forminput2' type='text' name='tag'>.<input class='forminput2' type='text' name='monat'>.<input class='forminput4' type='text' name='jahr'></td></tr>
  			</td></tr>
  		<tr><td colspan='2'>
  		Person ausw&auml;hlen<br>
  		<input type='text' name='perssuche' autocomplete='off' onkeyup='name_list(this.value, event)'>
  		<a class='verz_button' href='#' onclick='name_undoder(0)'>und</a>
  		&nbsp;<a class='verz_button' href='#' onclick='name_undoder(1)'>oder</a><br>
  		<br><textarea rows='3' id='person' name='person' cols='35'></textarea></td></tr>
  		<tr><td colspan='2'>Bildbeschreibung<BR><textarea rows='3' name='bildtext' cols='35'></textarea>
  		</td></tr>
  		</table> 
  		<br><input class='top_button' type='submit' value='suchen' name='B1'>
  		</form></center>";
}
// ********  Ende function bildersuchformular


function bildsuchliste($post, $sw, $i, $s ) {
  
  // Variablenbeschreibung
  // $frage1			where Statement für select
  // $uebergabeparam 	zum weiterreichen der Variablen aus dem Formular
  // $i				aktueller Zähler für die Zeile aus dem Suchergebnis
  // $s				Gesamtanzahl der Zeilen aus dem Suchergebnis
  // $z				Übergebener Zähler Zeile für Seite Zurück
  // $ie			Aktueller Zähler für letzte Seite
  
  $tb=0; // Bildnummer für temporäre Bilder

  global $link;
  
  if(!isset($uebergabeparam)) {	$uebergabeparam="";  }

  $frage=fragebauen1(frageparam_bauen($post, $_SESSION['privat']));

  $uebergabeparam="medientyp=" . $post['medientyp'] . "&verz2=" . $post['verz2'] . "&tag=" . $post['tag'] . "&monat=" . $post['monat'] . "&jahr=" . $post['jahr'];
  				$uebergabeparam .= "&person=" . $post['person'] . "&bildtext=" . $post['bildtext'];
  if($raapp_login==1) {
  echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
  }  		
  echo "<a class='top_button' href='../index.html'><img src='../bin/images/b_home.png'></a>
  		<a class='top_button' href='bildersuch.php?sw=0&p=0'><img src='../bin/images/b_verzo.png'></a>
  		<span id='navilinks'></span><span id='navirechts'></span>
  		<a class='top_button' href='bilder.php?bs=1&m=0&play=1&$uebergabeparam&n=0&pause=0'><img src='../bin/images/b_autom.png' alt='automatischer Bildlauf'></a>";
  				
  if($frage=="") { 
  		echo "<br><br>Es wurde kein Suchergebnis zu Ihrer Frage gefunden 
					&nbsp;&nbsp;&nbsp;&nbsp;<a href='bildersuch.php'><img src='../bin/images/b_verzo.png'></a>";
  	} else {
      if($i<0) {$i=0;};
      if($i==0) {
 		$abfrage = "SELECT * from photo_daten $frage";
      	$erg = mysqli_query($link, $abfrage);
      	$s = mysqli_num_rows($erg);
      	}
     $abfrage = "SELECT * from photo_daten $frage LIMIT $i," . $_SESSION['szeilen'];
     $erg = mysqli_query($link, $abfrage);
     
     echo "<br><br><br><TABLE class='formular'>";
     
     while($mybild=mysqli_fetch_object($erg)) {
     	$i=$i+1;
     
     	$_SESSION['bild']="../" . hole_verzeichnisname1 ($mybild->verz1_id) . "/" . hole_verzeichnisname2 ($mybild->verz2_id) . "/" . $mybild->bild;
     
     	echo "<tr><TD>$mybild->bild &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; $mybild->tag.$mybild->monat.$mybild->jahr<BR><BR>$mybild->person</TD>
     	<TD width='400'>" . hole_verzeichnisname2 ($mybild->verz2_id) . "<BR>$mybild->bildtext</TD>";
     
     	if (preg_match('/.JPG/i', $mybild->bild)) {
     	tmpbild($tb); // erzeugt ein temporäres Bild siehe funktionen.php
     	echo"<TD><a href='bildersuch.php?sw=2&v1=$mybild->verz1_id&v2=$mybild->verz2_id&b=$mybild->bild&i=$i&s=$s'>
     	<IMG SRC='../bin/images/tmpbilder/tmpbild$tb.jpg'></a></td><td>$i/$s</TD></TR>";
     	} else {
     	echo "<td>"; video_klein_anzeigen(); echo "</td><td>$i/$s</TD></TR>";
     	}
     
     	$tb=$tb+1;
     	}
     	echo "</TABLE>";

      // Hier werden die Navigationsbuttons erzeugt und in die am Seitenanfang reservierten span-Bereiche per Javascript reingeschrieben
      if($i>$_SESSION['szeilen']) {
      	$ll= ' <A class="top_button" HREF="bildersuch.php?sw=1&i=0&s=' . $s . '&' . $uebergabeparam . '"><IMG SRC="../bin/images/b_pfeilll.png"></A>';
      	$z=$i-$_SESSION['szeilen']*2;
      	$ll = $ll . ' <a class="top_button" href="bildersuch.php?sw=1&i=' . $z . '&s=' . $s . '&' . $uebergabeparam . '"><img src="../bin/images/b_pfeill.png"></a>';
      	echo "<script>document.getElementById('navilinks').innerHTML = '" . $ll . "'; </script>";
      	} else {
      	$ll = ' <A class="top_button"><IMG SRC="../bin/images/b_leer.png"></A> <A class="top_button"><IMG SRC="../bin/images/b_leer.png"></A>';
      	echo "<script>document.getElementById('navilinks').innerHTML = '" . $ll . "'; </script>";
      }

      if($i<$s) {
      	$rr = ' <a class="top_button" href="bildersuch.php?sw=1&i=' . $i . '&s=' . $s . '&' . $uebergabeparam . '"><img src="../bin/images/b_pfeilr.png"></a>';
      	$ie=$s-$_SESSION['szeilen'];
      	$rr = $rr . ' <A class="top_button" HREF="bildersuch.php?sw=1&i=' . $ie . '&s=' . $s . '&' . $uebergabeparam . '"><IMG SRC="../bin/images/b_pfeilrr.png"></A>';
      	echo "<script>document.getElementById('navirechts').innerHTML = '" . $rr . "'; </script>";
      } else {
      	$rr = ' <A class="top_button"><IMG SRC="../bin/images/b_leer.png"></A> <A class="top_button"><IMG SRC="../bin/images/b_leer.png"></A>';
      	echo "<script>document.getElementById('navirechts').innerHTML = '" . $rr . "'; </script>";
      }
  }
}
// ********  Ende function bildsuchliste


// Anzeigen der Bilder
// Übergabeparameter 	v2 und v2 für die Verzeichnisebene
// 				b	für das anzuzeigende Bild

function bildsuchdetail($v1, $v2, $b, $i, $s) {
	global $link;
  $abfrage = "SELECT * from photo_daten where verz1_id='$v1' and verz2_id='$v2' and bild like '%$b'";
  $erg = mysqli_query($link, $abfrage);
  $mybild=mysqli_fetch_object($erg);
  
	$_SESSION['bild']="../" . hole_verzeichnisname1 ($mybild->verz1_id) . "/" . hole_verzeichnisname2 ($mybild->verz2_id) . "/" . $mybild->bild;
  
  echo "<div id='Bild'>";
  bild_video_anzeigen($mybild,0);
  echo "</div>";

  $i=$i-1;
  echo "<div id='Text'><div id='buttonblock'><div id='verzzeile'>";
  if($raapp_login==1) {
  		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
  }
  echo "<a  class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
  		<A  class='top_button' HREF='bildersuch.php?sw=3'><IMG SRC='../bin/images/b_verzo.png' ALT='zurück' ALIGN='BOTTOM'></A>
  		 <a  class='top_button' href='bildersuch.php'><img src='../bin/images/b_suchen.png' alt='suchen'></a>
  		 </div></div><hr><P CLASS='text1'>" . hole_verzeichnisname2 ($mybild->verz2_id) . "</P>
  		 <p CLASS='text2'>$mybild->bild</P><hr>
  		 <P CLASS='text1'>$mybild->tag.$mybild->monat.$mybild->jahr</P>
    	<P CLASS='text1'>$mybild->person</P>
  		<P CLASS='text1'>$mybild->bildtext</P>
		</div>";
  mysqli_close($link);
}
// ********  Ende function bildersuchdetail

function personen($vornachname) {
	global $link;
	
	$anzahl=0;
	echo "<div id='btop'>";
	if($raapp_login==1) {
		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
			<a class='top_button' href='bildersuch.php?sw=0&p=" . $_SESSION['privat'] . "'><img src='../bin/images/b_verzo.png'></a>";
	if ($vornachname==0) {
		echo " <a class='top_button' href='../bin/bildersuch.php?p=" . $_SESSION['privat'] . "&sw=4&vn=1'><img src='../bin/images/b_personenn.png' alt='Hilfe'></a>";
	} else {
		echo " <a class='top_button' href='../bin/bildersuch.php?p=" . $_SESSION['privat'] . "&sw=4&vn=0'><img src='../bin/images/b_personenv.png' alt='Hilfe'></a>";
	}
	echo " <a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
	<hr><div id='verzlist'>";
	
	$perso=array();
	
	$abfrage = "SELECT distinct person from photo_daten Group By person";
	$erg = mysqli_query($link, $abfrage);
	
	while($myperson=mysqli_fetch_object($erg)) {
		$pers = explode( ', ', $myperson->person );		// Personen vereinzeln
		foreach($pers as $val) {
		  		if(strlen($val)>0 and $val !=" ") {
		  			if ($vornachname==0) {
		  				array_push($perso, $val);	// Person in das array aufnehmen Vorname Nachname
		  			} else {
		  				array_push($perso, flip_string(' ', $val));	// Person in das array aufnehmen Nachname Vorname
		  			}
		  		}
		}
	}
	$persou=array_unique($perso);	// Dupletten beseitigen
	natsort($persou);				// array sortieren
	
	foreach ($persou as $p ) {
		echo "<div id='verzzeile'>";
		if ($vornachname==0) {
			echo "<A class='verz_button' HREF='bildersuch.php?sw=1&i=0&s=-1&verz2=&medientyp=alle&tag=&monat=&jahr=&person=$p&bildtext='>$p</A><br>";
		} else {
			echo "<A class='verz_button' HREF='bildersuch.php?sw=1&i=0&s=-1&verz2=&medientyp=alle&tag=&monat=&jahr=&person=" . flip_string(' ', $p) . "&bildtext='>$p</A><br>";
		}
		$anzahl++;
		echo "</div>";
	}
	echo "</div><br>Es befinden sich $anzahl Personen in der Datenbank<br><br><br>";
}

// *********************   Hauptteil Script **************

$sw=$_GET['sw'];
// Macht $übergabeparamter aus der Navigation bildsuchliste in $_POST verfügbar
if(!sizeof($_POST)) {
	$_POST=$_GET;
}

htmlkopf();
$kopf="<div id='container'><div id='kopf'>". $_SESSION['albumname'] . "</div>";

switch ($sw) {
	case 1:			$_SESSION['postsave']=$_POST;
					$_SESSION['getsave']=$_GET; // Speichern der Formulardaten, damit Sie in Case 3 kommend von bildersuchdetail verfügbar sind
					echo $kopf;
					bildsuchliste($_POST, $_GET['sw'], $_GET['i'], $_GET['s'] );
					echo "</div>";
					break;
	
	case 2:			bildsuchdetail($_GET['v1'], $_GET['v2'], $_GET['b'], $_GET['i'], $_GET['s']);
					break;
	
	case 3:			echo $kopf;
					bildsuchliste($_SESSION['postsave'], $_SESSION['getsave']['sw'], $_SESSION['getsave']['i'], $_SESSION['getsave']['s'] );
					echo "</div>";
					break;
	
	case 4:			echo $kopf;
					if(isset($_POST['vn'])) {
						personen($_POST['vn']);
					} else {
						personen(0);
					}
					echo "</div>";
					break;
	
	default:		echo $kopf;
					bildsuchformular();
					echo "</div>";
					break;
					
}

htmlfuss();
?>