<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

session_start();
include("config.php");
include("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

function bild_anzeigen ($m, $n) {
	global $link;
	global $raapp_login;
	
	if ($_SESSION['anzahl_bilder']==$n) { --$n; }

	$abfrage="Select photo_daten.* from photo_daten join photo_playlist on photo_daten.satz=photo_playlist.pl_satz Limit $n,1";
// echo "****bilderupd.php - Abfrage: $abfrage<br>";
	$erg = mysqli_query($link, $abfrage);
	$mybild=mysqli_fetch_object($erg);

	$_SESSION['bild']="../" . hole_verzeichnisname1 ($mybild->verz1_id) . "/" . hole_verzeichnisname2 ($mybild->verz2_id) . "/" . $mybild->bild;

	echo "<div id='Bild1'>";
	bild_video_anzeigen($mybild,1);
	echo "</div>";
	
	// Seitennavigation anzeigen	
	echo "
		 <div CLASS='text1'><div id='buttonblock'><div id='verzzeile'>";
	if($raapp_login==1) {
		echo "<a class='verz_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='verz_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		 <A class='verz_button' HREF='verz_anz2.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&sw=0'><IMG SRC='../bin/images/b_verzo.png'></A>
		<a class='verz_button' href='bildersuch.php?sw=0'><img src='../bin/images/b_suchen.png' alt='suchen'></a>
		<a class='verz_button' href='../bin/beschreibung.php#InhalteBearbeiten'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a>
		<a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&n=$n&m=$m&del=4' onmouseover='InfoBoxAnzeigen(event,info[16],-100,10);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_drehenl.png''></a>
		<a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&n=$n&m=$m&del=5' onmouseover='InfoBoxAnzeigen(event,info[16],-100,10);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_drehenr.png'></a>
		<a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&n=$n&m=$m&del=8' onmouseover='InfoBoxAnzeigen(event,info[18],-100,10);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_sortvor.png'></a>
		<a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&n=$n&m=$m&del=9' onmouseover='InfoBoxAnzeigen(event,info[19],-100,10);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_sorthinten.png'></a></div>
		<div id='verzzeile'><a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&n=$n&m=$m&del=1'><img src='../bin/images/b_loeschen.png'></a>
		<a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&n=$n&m=$m&del=7'  onmouseover='InfoBoxAnzeigen(event,info[17],-100,10);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_export.png'></a>";
	
	
	// Bildnavigation anzeigen
	$n++;
	
	if($n-1>0) {
		$nl=$n-2;
		echo " <A class='verz_button' HREF='bilderupd.php?m=$m&n=0&del=0&v1=$mybild->verz1_id&v2=$mybild->verz2_id'><IMG SRC='../bin/images/b_pfeilll.png' ALIGN='BOTTOM'></A>
			<A class='verz_button' HREF='bilderupd.php?m=$m&n=$nl&del=0&v1=$mybild->verz1_id&v2=$mybild->verz2_id'><IMG SRC='../bin/images/b_pfeill.png' ALIGN='BOTTOM'></A>";
	} else {
		echo " <A class='verz_button'><IMG SRC='../bin/images/b_leer.png' ALIGN='BOTTOM'></A>
			<A class='verz_button'><IMG SRC='../bin/images/b_leer.png' ALIGN='BOTTOM'></A>";
	}
	
	if($n<$_SESSION['anzahl_bilder']){
		$nrr=$_SESSION['anzahl_bilder']-1;
		echo " <A class='verz_button' HREF='bilderupd.php?m=$m&n=$n&del=0&v1=$mybild->verz1_id&v2=$mybild->verz2_id'><IMG SRC='../bin/images/b_pfeilr.png' ALIGN='BOTTOM'></A>
			<A class='verz_button' HREF='bilderupd.php?m=$m&n=$nrr&del=0&v1=$mybild->verz1_id&v2=$mybild->verz2_id'><IMG SRC='../bin/images/b_pfeilrr.png' ALIGN='BOTTOM'></A>";
	} else {
		echo " <A class='verz_button'><IMG SRC='../bin/images/b_leer.png' ALIGN='BOTTOM'></A>
			<A class='verz_button'><IMG SRC='../bin/images/b_leer.png' ALIGN='BOTTOM'></A>";
	}
	echo "</div></div>";
	// Formular anzeigen
	echo "<P CLASS='text1'>" . hole_verzeichnisname2($mybild->verz2_id) . "<br>$mybild->bild&nbsp;&nbsp;$n/" . $_SESSION['anzahl_bilder'] ."</P>";
	echo "<form action='bilderupd.php?del=6&m=1&n=$n&v1=$mybild->verz1_id&v2=$mybild->verz2_id' method='POST'>
		<input type='hidden' name='v1' size='50' value='$mybild->verz1_id'>
		<input type='hidden' name='v2' size='50' value='$mybild->verz2_id'>
		<input type='hidden' name='b' size='50' value='$mybild->bild'>
		<input class='forminput2' type='hidden' name='sortier' value='$mybild->sortier'>";
	
	echo "<P CLASS='text1'>
		<input class='forminput2' type='text' name='tag' value='$mybild->tag' onmouseover='InfoBoxAnzeigen(event,info[11],5,-70);' onmouseout='InfoBoxAusblenden();'>
		.<input class='forminput2' type='text' name='monat' value='$mybild->monat' onmouseover='InfoBoxAnzeigen(event,info[12],5,-70);' onmouseout='InfoBoxAusblenden();'>
		.<input class='forminput4' type='text' name='jahr' value='$mybild->jahr' onmouseover='InfoBoxAnzeigen(event,info[13],5,-70);' onmouseout='InfoBoxAusblenden();'> </P>";
	
	echo "<input type='hidden' id='f_priv' name='f_priv' value='$mybild->privat'></p>";
	if($mybild->privat==1) {
		$pbutton="../bin/images/b_maske1.png";
	} else {
		$pbutton="../bin/images/b_maske0.png";
	}
	echo "<P CLASS='text1'><input type='text' name='perssuche' autocomplete='off'  placeholder='Name eingeben' onkeyup='name_list(this.value, event)'></p>";
	
	echo "<p class='text1'><a href='#'><img id='b1' src='images/b_name0.jpg' onclick='name_schreiben(\"" . $_SESSION['dev_vname1'] . " " . $_SESSION['dev_nname1'] . "\")'
			onmouseover='InfoBoxAnzeigen(event,info[9],-50,-110);' onmouseout='InfoBoxAusblenden();'></a>";
	echo " <a href='#'><img id='b2' src='images/b_name0.jpg' onclick='name_schreiben(\"" . $_SESSION['dev_vname2'] . " " . $_SESSION['dev_nname2'] . "\")'
			onmouseover='InfoBoxAnzeigen(event,info[9],-50,-110);' onmouseout='InfoBoxAusblenden();'></a>";
	echo " <a href='#'><img id='b3' src='images/b_name0.jpg' onclick='name_schreiben(\"" . $_SESSION['dev_vname3'] . " " . $_SESSION['dev_nname3'] . "\")'
			onmouseover='InfoBoxAnzeigen(event,info[9],-50,-110);' onmouseout='InfoBoxAusblenden();'></a>";
	if ($_SESSION['dev_vname4'] != "" ) {
	echo " <a href='#'><img id='b4' src='images/b_name0.jpg' onclick='name_schreiben(\"" . $_SESSION['dev_vname4'] . " " . $_SESSION['dev_nname4'] . "\")'
			onmouseover='InfoBoxAnzeigen(event,info[9],-50,-110);' onmouseout='InfoBoxAusblenden();' onload='bild_privat(0);'></a>";
		}
		
	
	echo " <a href='#'><img id='i_priv' src=$pbutton onclick='bild_privat(1)'
			onmouseover='InfoBoxAnzeigen(event,info[10],-50,-110);' onmouseout='InfoBoxAusblenden();'></a></p>";
	
	echo "<p CLASS='text1'>
		<textarea id='person' rows='5' name='person' cols='30' autocomplete='off' placeholder='Personen durch , getrennt'>$mybild->person</textarea></p>
		<p CLASS='text1'>
		<textarea rows='5' name='bildtext' cols='30' placeholder='Bildbeschreibung eingeben'>$mybild->bildtext</textarea></P>";
	
	echo "<p CLASS='text1'><input class='verz_button' type='submit' value='&auml;ndern' name='B1'></p>
		</form>
		</div>";
	setze_bilddatei(); // Platzhalter b_name0.jpg im Formular ersetzen durch korrekte Bilddatei fals vorhanden
}
// ********  Ende function bild_anzeigen

// Funktion um Änderungen in die Datenbank schreiben
//

function schreiben_aenderung ($post) {
	global $link;

	$aendern="UPDATE photo_daten SET tag='$post[tag]',
					monat='$post[monat]',
					jahr='$post[jahr]',
					privat=" . $post['f_priv'] . ",
					person='" . rtrim($post['person']," ,;.") . "',
					bildtext='$post[bildtext]',
					sortier='$post[sortier]'
					where verz1_id='" . $post['v1'] . "' and verz2_id='" . $post['v2'] . "'
					and bild like '%" . $post['b'] . "'";
	$erg = mysqli_query($link, $aendern);
	if (!$erg) {
		die('Ung&uuml;ltige Abfrage: ' . mysqli_error($link));
	}	
}
// ********  Ende function schreiben_aenderung

function bild_vor($post) {
	global $link;

	$abfrage="Select photo_daten.* from photo_daten join photo_playlist on photo_daten.satz=photo_playlist.pl_satz Limit " . $post['n'] . ",1";
	// echo "$abfrage<br>";
	$erg = mysqli_query($link, $abfrage);
	$mybild=mysqli_fetch_object($erg);

	if($mybild->sortier > 1) {
		$neu=$mybild->sortier-1;
		$aendern="UPDATE photo_daten SET sortier=$neu where satz=$mybild->satz";
		// echo "$aendern<br>"
		$erg = mysqli_query($link, $aendern);
		
		$satzzuvor=$post['n']-1;
		$abfrage="Select photo_daten.* from photo_daten join photo_playlist on photo_daten.satz=photo_playlist.pl_satz Limit " . $satzzuvor . ",1";
		// echo "$abfrage<br>";
		$erg = mysqli_query($link, $abfrage);
		$mybildv=mysqli_fetch_object($erg);
		
		$neu=$mybildv->sortier+1;
		$aendern="UPDATE photo_daten SET sortier=$neu where satz=$mybildv->satz";
		// echo "$aendern<br>";
		$erg = mysqli_query($link, $aendern);
	}
}

function bild_hinten($post) {
	global $link;

	$abfrage="Select photo_daten.* from photo_daten join photo_playlist on photo_daten.satz=photo_playlist.pl_satz Limit " . $post['n'] . ",1";
	// echo "$abfrage<br>";
	$erg = mysqli_query($link, $abfrage);
	$mybild=mysqli_fetch_object($erg);
	
	if($mybild->sortier < $_SESSION['anzahl_bilder']) {
	// neue Sortiernummer für aktuelles Bild setzen	
		$neu=$mybild->sortier+1;
		$aendern="UPDATE photo_daten SET sortier=$neu where satz=$mybild->satz";
		// echo "$aendern2<br>";
		$erg = mysqli_query($link, $aendern);

	// Satz für ein Bild weiter holen
		$satzweiter=$post['n']+1;
		$abfrage="Select photo_daten.* from photo_daten join photo_playlist on photo_daten.satz=photo_playlist.pl_satz Limit " . $satzweiter . ",1";
		// echo "$abfrage<br>";
		$erg = mysqli_query($link, $abfrage);
		$mybildv=mysqli_fetch_object($erg);

	// neue Sortierrung speichern
		$neu=$mybildv->sortier-1;
		$aendern="UPDATE photo_daten SET sortier=$neu where satz=$mybildv->satz";
		// echo "$aendern4<br>";
		$erg = mysqli_query($link, $aendern);
	}
}


// Playliste erzeugen
function playliste($get) {
	global $link;
	
		$frageparam=array(	array("and","","verz1_id","gleich",$get['v1'],""),
							array("and","","verz2_id","gleich",$get['v2'],""),
	  						array("and","","privat",">=",$_SESSION['privat'],"")
	  						);
		$frage=fragebauen1($frageparam);
	
		mysqli_query($link, "DELETE from photo_playlist");
	
		$abfrage = "Insert into photo_playlist SELECT satz from photo_daten $frage";
	// echo "****bilderupd.php - Abfrage: $abfrage<br>";
		$erg = mysqli_query($link, $abfrage);
		$_SESSION['anzahl_bilder'] = mysqli_affected_rows($link);
		// echo $_SESSION['anzahl_bilder'];
}

htmlkopf();

// In bilderupd macht Privatmodus keinen Sinn, deshalb ausschalten fals gesetzt
$_SESSION['privat']=0;

$m=$_GET['m'];
$n=$_GET['n'];

if ($_GET['m']==0) {
	playliste($_GET);
	$m=1;	// m=0 komme vom Verzeichnis und die Playlist mu� erstellt werden
				// m=1 Playlist ist bereits erstellt
	if($_GET['del']!=10) {
		$n=0;	// n= aktuelle Position in der Playlist
	}
}


// Hauptsteuerung Script �ber Variable del
// Wenn nicht gel�scht wird l�uft immer bild_anzeigen
//

switch($_GET['del']) {
	case 1:		// Abfrage ob wirklich gel�scht werden soll
		echo "<div id='container'>
			<div id='kopf'>". $_SESSION['albumname'] . "</div>
	  		<div id='btop'>";
		if($raapp_login==1) {
			echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
		}
		echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
			<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
			<p class='aktion'>Wollen Sie das Bild " . $_SESSION['bild'] . "<br><br> wirklich aus der Datenbank l&ouml;schen ?</p>
			<div id='verzzeile'><a class='top_button' href='bilderupd.php?v1=". $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=2'>Ja ich m&ouml;chte das Bild aus der Datenbank l&ouml;schen</a></div>
			<br><div id='verzzeile'><a class='top_button' href='bilderupd.php?v1=". $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=10'>Nein bitte abbrechen</a></div>
			";
		break;
	case 2:		// aus Datenbank l�schen
		$sm=1;
		$n=bild_loeschen($_GET['v1'],$_GET['v2'],$n, $_SESSION['anzahl_bilder'], $sm);
		$_SESSION['anzahl_bilder']=$_SESSION['anzahl_bilder']-1;
		echo "<div id='container'>
			<div id='kopf'>". $_SESSION['albumname'] . "</div>
	  		<div id='btop'>";
		if($raapp_login==1) {
			echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
		}
		echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
			<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
			<p class='aktionOK'>Das Bild ". $_SESSION['bild'] . " wurde aus der Datenbank gel&ouml;scht.</p>
			<p class='aktion'>Wollen Sie das Bild " . $_SESSION['bild'] . "<br><br> auch auf dem Datenspeicher(Festplatte) l&ouml;schen ?</p>
			<div id='verzzeile'><a class='top_button' href='bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=3'>Ja ich m&ouml;chte das Bild auf dem Datenspeicher l&ouml;schen</a></div>
			<br><div id='verzzeile'><a class='top_button' href='bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=10'>Nein bitte abbrechen</a></div>
			";
		break;
	case 3:		// von Platte l�schen
		$sm=2;
		$n=bild_loeschen($_GET['v1'],$_GET['v2'],$n, $_SESSION['anzahl_bilder'], $sm);
		echo "<div id='container'>
			<div id='kopf'>". $_SESSION['albumname'] . "</div>
	  		<div id='btop'>";
		if($raapp_login==1) {
			echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";		
		}
		echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
			<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
			<p class='aktionOK'>Das Bild wurde komplett aus der Datenbank und dem Datenspeicher gel&ouml;scht.</p>
			<br><br><a class='top_button' href='bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=10'>weiter</a><br><br>
			";
		break;
	case 4:		// Bild links drehen und sofortiges Wiederanzeigen �ber Javascript
		bild_drehen(90);
		echo "<script language='javascript'>
				var link = 'bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=10';
				this.location.href=link;
			</script>";
		break;
	case 5:		// Bild rechts drehen und sofortiges Wiederanzeigen �ber Javascript
		bild_drehen(-90);
		echo "<script language='javascript'>
				var link = 'bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=$m&del=10';
				this.location.href=link;
			</script>";
		break;
	case 6:		// Änderungen schreiben
		schreiben_aenderung ($_POST);
		bild_anzeigen ($m, $n);
		break;
	case 7:		// Bild exportieren
		bild_export();
		bild_anzeigen ($m, $n);
		break;
	case 8:		// Bild nach Vorne
		bild_vor($_GET);
		echo "<script language='javascript'>
		var link = 'bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=0&del=10';
		this.location.href=link;
		</script>";
		break;
	case 9:		// Bild nach Hinten
		bild_hinten($_GET);
		echo "<script language='javascript'>
		var link = 'bilderupd.php?v1=" . $_GET['v1'] . "&v2=" . $_GET['v2'] . "&n=$n&m=0&del=10';
		this.location.href=link;
		</script>";
		break;
	default:
		bild_anzeigen ($m, $n);
		break;
	}
echo "</div>";
htmlfuss();
mysqli_close($link);
?>

