/*
Copyright 2016	Matthias Rauch
www.raapp.de
*/

function Fensterhoehe () {
  if (window.innerHeight) {			// fast alle Browser
    return window.innerHeight;
  } else if (document.body && document.body.offsetHeight) {	// IE 6
    return document.body.offsetHeight;
  } else if (document.documentElement && document.documentElement.clientHeight ) {		// IE 8
    return document.documentElement.clientHeight;
  } else {
	return 0;
  }
}

function Fensterweite () {
  if (window.innerWidth) {
    return window.innerWidth;
  } else if (document.body && document.body.offsetWidth) {
    return document.body.offsetWidth;
  } else if (document.documentElement && document.documentElement.clientWidth ) {
	    return document.documentElement.clientWidth;
  } else {
    return 0;
  }
}

function Bild_Klein() {
	document.images[0].style.width = '100%';
	
	xmlhttp=new XMLHttpRequest();
	xmlhttp.open("POST","bilder.php?sw=1",false);
	xmlhttp.send();
	if (xmlhttp.responseText != 0 ) {
		alert(xmlhttp.responseText);
	};
	return(100);
}

function Bild_Gross() {
	document.images[0].style.width = '125%';
	document.getElementById ('textinfo').style.display = 'none';
	
	xmlhttp=new XMLHttpRequest();
	xmlhttp.open("POST","bilder.php?sw=2",false);
	xmlhttp.send();
	if (xmlhttp.responseText != 0 ) {
		alert(xmlhttp.responseText);
	}
	return(125);
}

// list die URL aus der Webseit für navigation bei Touch auf Bild
// definiert in funktionen.php $bedienflächen
function Bild_Link(button) {
	var link = document.getElementById(button);
	if(link != null) {
		this.location.href=link;
	}
	return(0);
}

function name_schreiben(name) {
	var namen = document.getElementById ('person').value;
	// im Suchformular wird kein komma zwischen den Namen benötigt
	if(document.forms[0].name=='suche') {
		var komma = "";
	} else {
		var komma = ", ";
	}
	
	if(namen.length > 1) {
		namen = namen + komma + name;
	} else {
		namen = name;
	}
	document.getElementById ('person').value=namen;
	return;
}

function name_undoder(uo) {
	var namen = document.getElementById ('person').value;
	var undoder = "";
	// und oder
	if(uo === 0) {
		undoder = " und ";
	} else {
		undoder = " oder ";
	}
	
	if(namen.length > 1) {
		namen = namen + undoder;
	}
	document.getElementById ('person').value=namen;
	return;
}

function name_list(str, event) {
	  var xhttp;
	  if (str.length == 0) { 
	    return;
	  }
	  xhttp = new XMLHttpRequest();
	  xhttp.onreadystatechange = function() {
	    if (xhttp.readyState == 4 && xhttp.status == 200) {
	      InfoBoxAnzeigen(event,xhttp.responseText,600,30)
	    }
	  };
	  xhttp.open("GET", "bilderupdn.php?q="+str, true);
	  xhttp.send();
}

function bild_privat(mode) {
	if (mode===0) {
		if(document.getElementById('f_priv').value === "1") {
			document.getElementById('i_priv').src = "../bin/images/b_maske1.png";
		} else {
			document.getElementById('i_priv').src = "../bin/images/b_maske0.png";
		}
	} else {
		if(document.getElementById('f_priv').value === "1") {
			document.getElementById('f_priv').value = "0";
			document.getElementById('i_priv').src = "../bin/images/b_maske0.png";
		} else {
			document.getElementById('f_priv').value = "1";
			document.getElementById('i_priv').src = "../bin/images/b_maske1.png";
		}
	}
	return;
}

/* Update laden */
function laden_update(version,raapp_mode) {
	var u;
	if(raapp_mode==1) {
		u="http://localhost/raapp/raappupd.php?sw=0&a=Photo&v=";
	} else {
		u="http://www.raapp.de/raappupd.php?sw=0&a=Photo&v=";
	}
	u = u + version;
	xmlhttp=new XMLHttpRequest();
	xmlhttp.open("POST",u,false);
	xmlhttp.send();

	document.getElementById ('upd1').style.display = 'none';
	document.getElementById ('upd2').style.display = 'block';

	if(xmlhttp.responseText.length > 1) {
		h="<div id='verzzeile'><div id='menu'>Update verfügbar</div><a class='verz_button' href='verwaltung.php?sw=1&p=" + xmlhttp.responseText + "'><img src='../bin/images/b_update_rot.png'></a></div>";
	} else {
		h="<div id='verzzeile'><div id='menu'>raAPP Photo ist aktuell</div><img class='verz_button' src='../bin/images/b_update_gruen.png'></div>";
	}
		document.getElementById("upd2").innerHTML=h;
}

function datumfeld_aus() {
	document.getElementById('datumfeld').style.visibility = "hidden";
}

function datumfeld_an() {
	document.getElementById('datumfeld').style.visibility = "visible";
}


// Funktionen für die Kartendarstellung OpenStreetMap OSM
//
function jumpTo(lon, lat, zoom) {
    var x = Lon2Merc(lon);
    var y = Lat2Merc(lat);
    map.setCenter(new OpenLayers.LonLat(x, y), zoom);
    return false;
}
 
function Lon2Merc(lon) {
    return 20037508.34 * lon / 180;
}
 
function Lat2Merc(lat) {
    var PI = 3.14159265358979323846;
    lat = Math.log(Math.tan( (90 + lat) * PI / 360)) / (PI / 180);
    return 20037508.34 * lat / 180;
}
 
function addMarker(layer, lon, lat, popupContentHTML) {
 
    var ll = new OpenLayers.LonLat(Lon2Merc(lon), Lat2Merc(lat));
    var feature = new OpenLayers.Feature(layer, ll); 
    feature.closeBox = true;
    feature.popupClass = OpenLayers.Class(OpenLayers.Popup.FramedCloud, {minSize: new OpenLayers.Size(300, 180) } );
    feature.data.popupContentHTML = popupContentHTML;
    feature.data.overflow = "hidden";
 
    var marker = new OpenLayers.Marker(ll);
    marker.feature = feature;
 
    var markerClick = function(evt) {
        if (this.popup == null) {
            this.popup = this.createPopup(this.closeBox);
            map.addPopup(this.popup);
            this.popup.show();
        } else {
            this.popup.toggle();
        }
        OpenLayers.Event.stop(evt);
    };
    marker.events.register("mousedown", feature, markerClick);
 
    layer.addMarker(marker);
   // map.addPopup(feature.createPopup(feature.closeBox));  // einblenden wenn Popup sofort angezeigt werden soll
}
 
function getCycleTileURL(bounds) {
   var res = this.map.getResolution();
   var x = Math.round((bounds.left - this.maxExtent.left) / (res * this.tileSize.w));
   var y = Math.round((this.maxExtent.top - bounds.top) / (res * this.tileSize.h));
   var z = this.map.getZoom();
   var limit = Math.pow(2, z);
 
   if (y < 0 || y >= limit)
   {
     return null;
   }
   else
   {
     x = ((x % limit) + limit) % limit;
 
     return this.url + z + "/" + x + "/" + y + "." + this.type;
   }
}

function InfoBoxAusblenden() {
    document.getElementById('InfoBox').style.visibility = "hidden";
}

function InfoBoxAnzeigen(e,Inhalte,offsetX,offsetY) {
      if (offsetX) {offsetx=offsetX;} else {offsetx=20;}
      if (offsetY) {offsety=offsetY;} else {offsety=0;}
      var PositionX = 0;
      var PositionY = 0;
      if (!e)  e = window.event;
      if ( e.pageX || e.pageY ) {
              PositionX = e.pageX;
              PositionY = e.pageY;
      } else if (e.clientX || e.clientY)
      {
              PositionX = e.clientX + document.body.scrollLeft;
              PositionY = e.clientY + document.body.scrollTop;
      }
      document.getElementById("BoxInhalte").innerHTML = Inhalte;
      document.getElementById('InfoBox').style.left = (PositionX+offsetx)+"px";
      document.getElementById('InfoBox').style.top = (PositionY+offsety)+"px";
      document.getElementById('InfoBox').style.visibility = "visible";
}

var info = {
		0:"Alle Bilder anzeigen",
		1:"Bilder und Videos einlesen",
		2:"löschen",
		3:"private Bilder nicht anzeigen",
		4:"bearbeiten",
		5:"Einstellungen und Verwaltung",
		6:"Alle Personen anzeigen",
		7:"zur Datensicherung<br> Ergebnis kann mit Daten in Datenbank importieren wieder eingelesen werden",
		8:"Export für sonstige Verwendungen ausserhalb raAPP Photo",
		9:"Person in Personenliste übernehmen",
		10:"als privat markieren",
		11:"Tag",
		12:"Monat",
		13:"Jahr",
		14:"privat Modus ein/aus",
		15:"Bild hinterlegen",
		16:"drehen",
		17:"exportieren",
		18:"zurück",
		19:"vor",
		20:"abmelden"
};

