<?php
/*
Copyright 2015	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
// Anzeigen der Verzeichnisebene 2 und Verlinkung auf Anzeige der Bilder
// �bergabeparameter v2 und v2 f�r die Verzeichnisebene

session_start();
include("config.php");
include("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

// ********  Verzeichnis anzeigen

function verz_anzeigen($v1, $v2) {
	include("config.php");
	global $link;
	
	$abfrage = "SELECT verz1_id, verz2_id, verz2_titel, DATE_FORMAT(verz2_zeitraum_von,'%d.%m.%Y') as verz2von, DATE_FORMAT(verz2_zeitraum_bis,'%d.%m.%Y') as verz2bis from photo_verz2 where verz1_id='$v1' order by verz2_zeitraum_von";
	
	echo "<div id='btop'>";
	if($raapp_login==1) {
		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<a class='top_button' href='verz_anz1.php?u=$_SESSION[aendern]'><img src='../bin/images/b_verzo.png' alt='zurück'></a>
		<a class='top_button' href='bildersuch.php?sw=0'><img src='../bin/images/b_suchen.png' alt='suchen'></a>
		<a class='top_button' href='../bin/beschreibung.php'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a>
		</div><hr><div id='kopf1'>" . hole_verzeichnisname1($v1) . "</div>";
	
	$erg = mysqli_query($link, $abfrage);
	while($mybild = mysqli_fetch_object($erg)) {
	
		echo "<div id='verzzeile'>";
		
		if($_SESSION['aendern']==0) {
			echo "<a class='verz_button' href='bilder.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&m=0&n=0&bs=0&pause=0&play=0'><img src='../bin/images/b_anzeigen.png'></a>
				<a class='verz_button' href='bilder.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&m=0&play=1&n=0&bs=0&pause=0'><img src='../bin/images/b_autom.png'></a>
				<span id='vonbis'>$mybild->verz2von - $mybild->verz2bis</span> $mybild->verz2_titel";
		} elseif($_SESSION['aendern']==1) {
			echo "<a class='verz_button' href='bilderupd.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&m=0&del=0&n=0'><img src='../bin/images/b_anzeigen.png'></a>
				<a class='verz_button' href='verz_anz2.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&m=0&sw=1'><img src='../bin/images/b_aendern.png' ALT='bearbeiten'></a>
				<span id='vonbis'>$mybild->verz2von - $mybild->verz2bis</span> $mybild->verz2_titel";
				} elseif($_SESSION['aendern']==2) {
			echo "<a class='verz_button' href='verz_del.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&m=0&sw=0'><img src='../bin/images/b_anzeigen.png'></a>
				<span id='vonbis'>$mybild->verz2von - $mybild->verz2bis</span> $mybild->verz2_titel";
		}
		echo "</div>";
	}
}
// ********  Ende function verzeichnis_anzeigen

// ********   Formular anzeigen

function form_anzeigen ($v1, $v2, $m) {
	include("config.php");
	global $link;
	
	$abfrage="Select * from photo_verz2 where verz1_id=$v1 and verz2_id=$v2";
	$erg = mysqli_query($link, $abfrage);
	$mybild=mysqli_fetch_object($erg);
	if($mybild->verz2_zeitraum_von) {
		$dat_von=date_mysql2german($mybild->verz2_zeitraum_von);
	} else { $dat_von="00.00.0000"; }
	if ($mybild->verz2_zeitraum_bis) {
		$dat_bis=date_mysql2german($mybild->verz2_zeitraum_bis);
	} else { $dat_bis="00.00.0000"; }
	
	// Formular anzeigen
	//
	
	echo "<div id='btop'>";
	if($raapp_login==1) {
		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<A class='top_button' HREF='verz_anz2.php?v1=$mybild->verz1_id&v2=$mybild->verz2_id&sw=0'><IMG SRC='../bin/images/b_verzo.png' alt='zur&uuml;ck'></A>
			 <a class='top_button' href='bildersuch.php?sw=0'><img src='../bin/images/b_suchen.png' alt='suchen'></a>
			 </div><hr>";
	echo "<form  action='verz_anz2.php?sw=2&m=$m' method='POST'>
			<input type='hidden' name='v1' size='50' value='$mybild->verz1_id'>
		  	<input type='hidden' name='v2' size='50' value='$mybild->verz2_id'>";
	
	echo "Verzeichnisname
			<br><input type='text' name='verz' size='50' value='$mybild->verz2_titel'>
			<br><br><br>Datum von - bis<br><input type='text' name='von' size='11' value='$dat_von'>";
	echo " - <input type='text' name='bis' size='11' value='$dat_bis'>
			<br><br>Bitte achten Sie auf die korrekte Schreibweise des Datums
			<br>Format: TT.MM.YYYY<br>
			<br>f&uuml;r Tag und Monat ist auch 0 zugelassen, fals Sie das genaue Datum nicht kennen
			<br><br><input class='verz_button' type='submit' value='&auml;ndern' name='B1'>
			</form>";
}
// ********  Ende function form_anzeigen

// Änderungen in die Datenbank schreiben
//
function schreibe_daten ($post) {
	global $link;
	// Verzeichnisname auf Festplatte �ndern
	$oldname=albumpfad() . DIRECTORY_SEPARATOR . hole_verzeichnisname1 ($post['v1']) . DIRECTORY_SEPARATOR . hole_verzeichnisname2 ($post['v2']);
	$newname=albumpfad() . DIRECTORY_SEPARATOR . hole_verzeichnisname1 ($post['v1']) . DIRECTORY_SEPARATOR . $post['verz'];
	if (betriebssystem()==2) { // für Windows wegen ISO 8859-1
		$oldname=utf8_decode($oldname);
		$newname=utf8_decode($newname);
	}
	rename ($oldname, $newname);	
	
	// Daten in der Datenbank �ndern
	$dat_von1=date_german2mysql($post['von']);
	$dat_bis1=date_german2mysql($post['bis']);
	$aendern="UPDATE photo_verz2 SET verz2_titel='$post[verz]',
								verz2_zeitraum_von='$dat_von1', 
								verz2_zeitraum_bis='$dat_bis1'
								where verz1_id='" . $post['v1'] . "' and verz2_id='" . $post['v2'] . "' ";

	$erg = mysqli_query($link, $aendern);
	if (!$erg) {
	die('Ung&uuml;ltige Abfrage: ' . mysqli_error($link));
	}

}

htmlkopf();
echo "<div id='container'>
	<div id='kopf'>". $_SESSION['albumname'] . "</div>";

switch($_GET['sw']) {
	case 1:
		form_anzeigen ($_GET['v1'], $_GET['v2'], $_GET['m']);
		break;
	case 2:
		schreibe_daten ($_POST);
		verz_anzeigen ( $_POST['v1'], $_POST['v2'], $_GET['m']);
		break;
	default:
		verz_anzeigen ( $_GET['v1'], $_GET['v2']);
		break;
	}
	
echo "</div>";
htmlfuss();
mysqli_close($link);
?>

