<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
// verzdel löscht ein Verzeichnis und den kompletten Inhalt aus der Datenbank
// die Bilddateien im Dateiverzeichnis bleiben erhalten
// erfolgt nach Bestätigung in verz_del1
// �bergabeparamter v1 und v2 für die Verzeichnisse

session_start();
include("config.php");
include("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

function wirklich_loeschen($v1, $v2) {
	
	echo "
		<p class='aktion'>Wollen Sie das Verzeichnis <br><br>" . hole_verzeichnisname1 ($v1) . "/" . hole_verzeichnisname2 ($v2) . "<br><br> wirklich aus der Datenbank l&ouml;schen ?</p>
	    <div id='verzzeile'><A class='verz_button' HREF='verz_del.php?v1=$v1&v2=$v2&sw=1'>Ja ich m&ouml;chte das Verzeichnis aus der Datenbank l&ouml;schen</A></div>
	    <br><div id='verzzeile'><A class='verz_button' HREF='../index.html'>Nein bitte abbrechen</A></div>
		";
}
// ********  Ende function wirklich_loeschen

function ja_loeschen($v1, $v2) {
	global $link;
	global $raapp_login;
	
  echo "<div id='kopf'>". $_SESSION['albumname'] . "</div>
  		<div id='verzzeile'>";
  if($raapp_login==1) {
  	echo "<a class='verz_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
  }
  echo " <a class='verz_button' href='../index.html'><img src='../bin/images/b_home.png'></a></div>";
  
  // Bilder l�schen in Tabelle bilder
  $anfrage="Delete from photo_daten where verz1_id='$v1' and verz2_id='$v2'";
  $result=mysqli_query($link, $anfrage);
  if (!$result) {
  	die('Ung�ltige Abfrage: ' . mysqli_error($link));
  } else {
  	echo "<BR><BR><p class='aktionOK'>Die Bild-Datens&auml;tze wurden aus Datenbank gel&ouml;scht.</p>
  				<p class='aktion'>Die Bilddateien sind im Dateiverzeichnis auf der Festplatte noch vorhanden</p>";
  }
  
  // l�schen Bildverzeichnis in photo_verz2
  $anfrage="Delete from photo_verz2 where verz1_id='$v1' and verz2_id='$v2'";
  $result=mysqli_query($link, $anfrage);
  if (!$result) {
  	die('Ung&uuml;ltige Abfrage: ' . mysqli_error($link));
  } else {
  	echo "<p class='aktionOK'>Der Verzeichnis-Datensatz wurde aus Datenbank gel&ouml;scht</p>";
  }
  
  // check letze verz1_id in photo_verz2
  $anfrage="select * from photo_verz2 where verz1_id='$v1'";
  $result=mysqli_query($link, $anfrage);
    if (!$result) {
  	die('Ung&uuml;ltige Abfrage: ' . mysqli_error($link));
  } else {
  	if($anzahl=mysqli_num_rows( $result ) > 0) {
  	echo "<p class='aktion'>Es sind noch $anzahl Datens&auml;tze im Verzeichnis</p>";
  	}  	else  {
  	echo "<p class='aktion'>Das Verzeichnis ist leer</p>";
  	}
  }
	 
  $anfrage="Optimize Table photo_daten";
  mysqli_query($link, $anfrage);
}
// ********  Ende function ja_loeschen


// Variablen aus URL zuweisen
$v1=$_GET['v1'];
$v2=$_GET['v2'];
$sw=$_GET['sw'];

// zentrale Steuerung Script
htmlkopf();
echo "<div id='container'>";

switch ($sw) {
	case 1:
					ja_loeschen($v1, $v2);
					break;
	default:
					wirklich_loeschen($v1, $v2);
					break;
					}
echo "</div>";
htmlfuss();
mysqli_close($link);
?>
