﻿<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

session_start();
include("config.php");
include("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);
  
function videoformular($vd, $sw) {
	global $raapp_login;
	
  echo "<div id='btop'>";
  if($raapp_login==1) {
  		echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
  }
  echo " <a class='top_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a>
		<a class='top_button' href='../bin/beschreibung.php#BilderSuchen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a></div>
		Videodatei zum konvertieren";
		if ($sw==1) { echo" ausw&auml;hlen  <a class='top_button' href='video_konv.php?sw=$sw'> <img src='../bin/images/b_suchen.png' alt='suchen'></a>"; }
		echo "</h4>";
		
  if ( $sw>1 ) {
		echo "<form  action='video_konv.php?sw=$sw' method='POST'>
			<input name='videodatei' type='text' size='80' value='$vd' readonly='readonly'>
	   		<br><br>Video Anzeigegr&ouml;&szlig;e ohne Angabe von Breite und H&ouml;he wird die Originalgr&ouml;&szlig;e beibehalten<br>
	   		<input type='text' name='f_breite' size='3'> Breite
			<input type='text' name='f_hoehe' size='3'> H&ouml;he in Pixel
			<br><br>Zielformat<br>
	   		<input type='radio' name='f_video_format' value='0' checked='checked'> .mp4 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;zur Wiedergabe im Album<br>
	   		<input type='radio' name='f_video_format' value='2'> .flv<br>
	   		<input type='radio' name='f_video_format' value='3'> .avi<br>
			<input type='radio' name='f_video_format' value='4'> .wmv
			<br><br><input class='top_button' type='submit' value=' Absenden ' >
			</form>"; }
	echo "</td></tr></table></center>";
}

function durchsuchen($vd,$sw) {
	// Verzeichnisse durchsuchen
	// $vd = Verezeichnis oder oder Datei
	// $sw = Vorbelegung switch zur Steuerung im hauptteil des Script's
	
	global $raapp_login;
	
    echo "<div id='btop'>";
    if($raapp_login==1) {
    	echo "<a class='top_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
    }
    echo " <A class='top_button' HREF='../index.html'><IMG SRC='../bin/images/b_home.png' alt='Home'></A>
    	<a class='top_button' href='../bin/beschreibung.php#BilderEinlesen'><img src='../bin/images/b_hilfe.png' alt='Hilfe'></a>";
    
    echo "<br><br><div id='kopf1'>Bitte ausw&auml;hlen</div>";
    
    if (betriebssystem()==2) { // für Windows wegen ISO 8859-1
    	$vd=utf8_decode($vd);
    }
   	chdir ( $vd );
 	$sv=getcwd();
 	$files=scandir( $sv, 1 );
    
 	foreach ( $files as $file ) {
          if ( $file != '.' && $file != '..' && $file != 'bin' && $file != 'export' && $file != 'TMP') {
				$tmpsv=$sv . DIRECTORY_SEPARATOR . $file;
				if (betriebssystem()==2) { // für Windows wegen ISO 8859-1
					$tmpsv1=utf8_encode($tmpsv);
				} else {
					$tmpsv1=$tmpsv;
				}
					if ($sw==4) {	// im letzten Verzeichnis nur Videodateien ausgeben
						if (preg_match('/.JPG/i', $file) == FALSE && preg_match('/.db/i', $file) == FALSE) {
							echo "<div id='verzzeile'><a class='top_button' href='video_konv.php?sw=$sw&vd=$tmpsv1'>$tmpsv1</a></div>"; } 
						} else { 	// nur Verzeichnisse ausgeben
							if (is_dir($tmpsv))
							echo "<div id='verzzeile'><a class='top_button' href='video_konv.php?sw=$sw&vd=$tmpsv1'>$tmpsv1</a></div>"; }
			        }
			}

}

// *********************   Hauptteil Script **************

if(isset($_GET['sw'])) {
	$sw=$_GET['sw'];
} else {
	$sw=0;
}

htmlkopf();
echo "<div id='container'><div id='kopf'>". $_SESSION['albumname'] . "</div>";

switch ($sw) {
	case 1:			// durchsuchen Ebene 1
					durchsuchen ('../', 2);
					break;
					
	case 2:			// durchsuchen Ebene 2
					durchsuchen($_GET['vd'], 3);
					break;
					
	case 3:			// durchsuchen Ebene 3 und Dateiname liefern
					durchsuchen($_GET['vd'], 4);
					break;
	case 4:			// Formular mit Dateiname anzeigen
					videoformular($_GET['vd'], 5);
					break;				
	case 5:			// Video konvertieren
					set_time_limit(0);	// max Execution Time auf unendlich
					if($_POST['f_breite']!="" && $_POST['f_hoehe']!="") {
						$groesse="-s " . $_POST['f_breite'] . 'x' . $_POST['f_hoehe'];
						} else {$groesse="";}
					// Zielformate einstellen
					switch ($_POST['f_video_format']) {
							case 2:
										$parameter=" " . $groesse . $_SESSION['par_mts_flv'];
										$suffix=".flv";
										break;
							case 3:
										$parameter=" " . $groesse . $_SESSION['par_mts_avi'];
										$suffix=".avi";
										break;
							case 4:
										$parameter=" " . $groesse . $_SESSION['par_mts_wmv'];
										$suffix=".wmv";
										break;
							default:
										$parameter=" " . $groesse . $_SESSION['par_mts_mp4'];
										$suffix=".mp4";
										break;
					}

					$videodatei=explode('.', $_POST['videodatei'] );
					if(strcasecmp($videodatei[1], "mp4") == 0 && strcasecmp($suffix, ".mp4") == 0) {
						$output=$videodatei[0] . "_1.mp4";
					} else {
						$output=$videodatei[0] . $suffix;
					}
					if (betriebssystem()==2) { // für Windows wegen ISO 8859-1
						$in=utf8_decode($_POST['videodatei']);
						$out=utf8_decode($output);
						// echo "****video_konv.php - Videodatei: " . $_POST['videodatei'] . " Parameter: $parameter Ausgabedatei: $output";
						$kommando=albumpfad() . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "ffmpeg" . DIRECTORY_SEPARATOR . "ffmpeg.exe -i "
									. $in . $parameter . $out;
						// echo "****video_konv.php - Kommando: $kommando";
						$WshShell = new COM("WScript.Shell");
						$oExec = $WshShell->Run($kommando, 3, true);
					} else {
						$in=$_POST['videodatei'];
						$out=$output;
						$kommando=albumpfad() . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "ffmpeg" . DIRECTORY_SEPARATOR . "ffmpeg -i "
						. $in . $parameter . $out;
						exec($kommando);				
					}

					videoformular("", 1);
					break;
	default:
					durchsuchen ('../', 2);
					break;					
}
echo "</div>";
htmlfuss();
?>