<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

include("config.php");
include("funktionen.php");

pruefe_https();

htmlkopf();
echo "<div id='container'><div id='kopf'>raAPP Photo und Videoalbum</div>
<a id='Anfang'></a>
<div id='btop'><a class='top_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;";

if($_SERVER['HTTP_HOST']=="localhost") {
	$raapphome="../index.html";
} else {
	$raapphome="http://www.raapp.de";
}

echo "<a class='top_button' href='" . $raapphome . "'><img src='../bin/images/b_home.png' border='0'></a></div>
<div id='kopf'>raAPP Photo Manual</div>
<p>raAPP Photo erm&ouml;glicht die automatische Einlesung von Bildern im .jpg- und Videosequenzen im .mp4-Format.
Einlesen bedeutet in raAPP Photo nur die Dateiinformation wie Pfad und Dateiname einlesen, die eigentliche Bild/Videodatei bleibt im Dateiverzeichnis 
unver&auml;ndert auf der Festplatte. Eine vorherige Anpassung der Bildgr&ouml;ße auf die Anzeigegr&ouml;ße ist nicht notwendig und wird von raAPP Photo zur 
Laufzeit durchgef&uuml;hrt. Videosequenzen aus den Formaten .mts und .avi k&ouml;nnen mit dem Videokonverter in .mp4 mit h.264 Codec umgewandelt werden.</p>
<p>Die eingelesenen Bilder/Videos k&ouml;nnen wie im klassischen Papierbilderbuch
 beschrieben und zus&auml;tzlich mit Personenangaben versehen werden. Bis zu 4 Personennamen k&ouml;nnen vordefiniert werden, dadurch ist die
 Eingabe und Suche z.B.: nach Familienangeh&ouml;rigen sehr schnell und einfach m&ouml;glich.<br>
Nach allen eingegebenen Informationen kann gesucht werden. Das Suchergebnis kann manuell oder automatisch mit dem Bilderplayer angezeigt werden.</p>
<p>Die Anzeige der Bilder und Videos erfolgt im Browser. Dadurch ist es m&ouml;glich raAPP Photo im Netzwerk auf verschiedenen Ger&auml;ten anzuzeigen, z.B.: auf dem TV-Gr&auml;t.</p>
<p>Die Bilder im Verzeichnis auf dem Datentr&auml;ger sollten idealerweise sortierbare aufsteigende Buchstaben-Zahlenkombinationen als 
Dateiname haben. Heutige Digitalkameras liefern das in der Regel.</p>
<p>Zu Sicherungszwecken kann eine Kopie der Datenbank erzeugt werden.</p>
<p>raAPP Photo rufen Sie mit der URL&nbsp; http://'Webserverroot'/raapp/photo auf.<br>
Beipielsweise in einer lokalen Installation mit <a href='http://localhost/raapp/photo'>http://localhost/raapp/photo</a><br>
Auf Windows Systemen mit <a href='http://localhost:81/raapp/photo'>http://localhost:81/raapp/photo</a>.</p>
<p>In der folgenden Beschreibung finden Sie die einzelnen Funktionen und Ihre Bedienung nochmal genauer beschrieben.<br>
Viel Spaß mit raAPP Photo.<br>
<a id='Inhaltsverzeichnis'></a></p>
<p class='text4'>Inhaltsverzeichnis:</p>
<ol>
	<li><div id='verzzeile'><a class='verz_button' href='#Bedienelemente'>Bedienelemente</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#Dateistruktur'>Dateistruktur f&uuml;r Bilddateien</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#BilderEinlesen'>Bilddateien einlesen</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#Bildverzeichnis l&ouml;schen'>Bildverzeichnis l&ouml;schen</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#InhalteBearbeiten'>Inhalte bearbeiten</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#BilderAnzeigen'>Bilder anzeigen</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#BilderAnzeigenPrivat'>Privat Modus</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#Bilderplayer'>Bilderplayer</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#BilderSuchen'>Bilder suchen</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#VideoKonvertieren'>Video konvertieren</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#HTMLSeiten'>HTML-Seiten erzeugen</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#HTMLSeiten l&ouml;schen'>HTML-Seiten l&ouml;schen</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#Verwaltung'>Verwaltung und Konfiguration</a></div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#Systemvoraussetzungen'>Systemvoraussetzungen</a>&nbsp;</div></li>
	<li><div id='verzzeile'><a class='verz_button' href='#Installation'>Installation</a><br>&nbsp;</div></li>
</ol>
<a id='Bedienelemente' class='text4'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Bedienelemente:</span>

<div id='verzzeile'><img class='verz_button' src='../bin/images/b_home.png' border='0'> zur&uuml;ck zur Startseite</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_anzeigen.png'> Bilder anzeigen und n&auml;chstes Verzeichnis</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_maske1_16x16.png'> <img class='verz_button' src='../bin/images/b_maske0_16x16.png'> Privatmodus ein/aus</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_verzu.png'> Bilder aus Dateiverzeichnis in Datenbank einlesen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_verzo.png'> Verzeichnisebene hoch</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_autom.png'> Bilder automatisch abspielen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_stopp.png'> abspielen stoppen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_plus.png'> <img class='verz_button' src='../bin/images/b_minus.png'> abspielen schneller und langsamer</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_pfeilll.png'>	<img class='verz_button' src='../bin/images/b_pfeill.png'> <img class='verz_button' src='../bin/images/b_pfeilr.png'>
		<img class='verz_button' src='../bin/images/b_pfeilrr.png'> &nbsp; Navigation in der Bilderansicht</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_globus.png'> Aufnahmeort in Weltkarte zeigen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_aendern.png'> Bildinformationen in Datenbank bearbeiten</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_film.png'> Videos konvertieren</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_suchen.png'> Bilder suchen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_personenn.png'> Personen suchen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_export.png'> Bild exportieren</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_drehenl.png'> <img class='verz_button' style='width: 16px; height: 16px;' alt='' src='../bin/images/b_drehenr.png'> Bild drehen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_sortvor.png'> <img class='verz_button' style='width: 16px; height: 16px;' alt='' src='../bin/images/b_sorthinten.png'> Bild Anzeigereihenfolge</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_loeschen.png'> Bildverzeichnis aus Datenbank l&ouml;schen</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_admin.png'> Verwaltung und Konfiguration</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_kopieren.png'> Datenbank kopieren</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_hilfe.png'> Beschreibung</div>
<div id='verzzeile'><img class='verz_button' src='../bin/images/b_info.png'> Programminfo</div>

<br><br>
<a id='Dateistruktur'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Dateistruktur f&uuml;r Bild- und Videodateien:</span>

<p>Grunds&auml;tzlich ist folgende Verzeichnisstruktur zu verwenden um die Funktion von raAPP Photo sicherzustellen:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ../Webserverrootverzeichnis/raapp/photo/Verzeichnis1/Verzeichnis2/Bilddatei</p>
<p>Beispiel:</p>
Ihr Webserverrootverzeichnis liegt auf Ihrer Festplatte
unter&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;D:\meinWebserver<br>
Ihr Verzeichnis 1 heist&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jahr2007<br>
Ihr Verzeichnis 2 heist&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;UrlaubSchwarzwald
<p>kopieren sie Ihre Bilddateien unter D:/meinWebserver/raapp/photo/Jahr2007/UrlaubSchwarzwald</p>

<br><br>
<a id='BilderEinlesen'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Bild- und Videodateien einlesen:</span>

<p>&uuml;ber das Symbol <a href='bilder_laden.php'> <img src='../bin/images/b_verzu.png' border='0'></a> der Startseite starten Sie den 
Dialog zum einlesen der auf der Festplatte abgespeicherten Bild- und Videoinformationen in die Datenbank.<br>
Bitte geben Sie den kompletten Verzeichnispfad zu den Dateien ein, oder w&auml;hlen Sie Ihn &uuml;ber die Funktion durchsuchen aus.
<br>Bei Unix-Systemen ist darauf zu achten, daß ausreichende Zugriffsrechte für den Zugriff auf die Dateien durch raAPP Photo vorhanden sind.</p>
<p>Beispiel:&nbsp;&nbsp;&nbsp; D:/meinWebserver/raapp/photo/Jahr2007/UrlaubSchwarzwald</p>
<p>Standardm&auml;ßig wird das durch Digitalkameras in der Bilddatei als EXIF-Information hinterlegte Datum ausgelesen und in der Datenbank
gespeichert.<br>Zus&auml;tzlich k&ouml;nnen Sie Tag.Monat.Jahr auch manuell eingeben. Diese Information wird dann bei jedem Bild voreingestellt.<br>
Es ist auch m&ouml;glich nur das Jahr oder den Monat und das Jahr einzugeben.</p>
<p>Bei erfolgreichem Einlesevorgang wird die Summe der Eingelesenen Bilder angezeigt.<br>
Mit <a href='../info.html'> <img src='../bin/images/b_home.png' border='0'></a> gelangen Sie wieder zur&uuml;ck zur Startseite.</p>
<p>Es ist jederzeit m&ouml;glich zus&auml;tzliche Bilder in einem bereits bestehenden Verzeichnis zuzuf&uuml;gen.<br>
Dies wird automatisch vom System erkannt.</p>

<br><br>
<a id='Bildverzeichnis l&ouml;schen'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Verzeichnis l&ouml;schen:</span>

<p>&uuml;ber das Symbol <img alt='' src='../bin/images/b_loeschen.png'> der Startseite starten Sie den Dialog zum l&ouml;schen der Bild- und Videoinformationen aus der Datenbank.<br>
Navigieren Sie mit <img src='../bin/images/b_anzeigen.png' border='0'> durch das Verzeichnis 1 und w&auml;hlen Sie das zu l&ouml;schende Verzeichnis mit
<img src='../bin/images/b_anzeigen.png' border='0'> aus.<br>
Anschließend k&ouml;nnen Sie l&ouml;schen oder abbrechen.</p>
<p>Das Verzeichnis auf der Festplatte mit den Bildern und Videos bleibt erhalten.</p>

<br><br><a id='InhalteBearbeiten'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Inhalte bearbeiten:</span>

<p>Starten Sie den Bearbeitungsmodus mit <img src='../bin/images/b_aendern.png' border='0'> auf der Startseite</p>
<p>Verzeichnisebene2 bearbeiten:<br>
Navigieren Sie mit <img src='../bin/images/b_anzeigen.png' border='0'> durch das Verzeichnis 1&nbsp; zum Verzeichnis 2.<br>
Starten Sie den Bearbeitungsmodus mit <img src='../bin/images/b_aendern.png' border='0'><br>
Sie haben die M&ouml;glichkeit den Verzeichnisname sowie den Zeitraum zu bearbeiten.<br><br>
Mit <img alt='' src='../bin/images/b_verzo.png' border='0'> gelangen Sie wieder zur&uuml;ck zum Verzeichnis.</p>
<p>Bildinformation bearbeiten:<br>
Navigieren Sie mit <img src='../bin/images/b_anzeigen.png' border='0'> durch das Verzeichnis 1 und Verzeichnis 2 zu den Bilddateien.<br>
Navigieren Sie zum gew&uuml;nschten Bild und f&uuml;gen Sie Ihre Informationen in die Formularfelder ein.<br>
Anschliesend durch dr&uuml;cken der &auml;ndern-Taste die Daten &uuml;bernehmen.</p>
<p>Personen k&ouml;nnen durch Eingabe eines Namens gesucht werden, bekannte Personen werden in einer Auswahlliste zur Übernahme in das Personenfeld angebten.
Bei manueller Eingabe bitte die Personen durch ',' trennen.</p>
<p>Beispiel: Vorname1 Nachname, Vorname2 Nachname, usw.</p>
<p>Mit <img alt='' src='../bin/images/b_export.png' border='0'> wird das Bild in das Export-Verzeichnis exportiert.<br></p>
<p>Mit <img alt='' src='../bin/images/b_drehenl.png' border='0'> und <img alt='' src='../bin/images/b_drehenr.png' border='0'> k&ouml;nnen Sie das Bild jeweils um 90 Grad &nbsp;in die entsprechende Richtung drehen.<br></p>
<p>Mit <img alt='' src='../bin/images/b_sortvor.png' border='0'> und <img alt='' src='../bin/images/b_sorthinten.png' border='0'> kann die Anzeigenreihenfolge der Bilder eingestellt werden.<br></p>
<p>Zus&auml;tzlich steht Ihnen die Funktion Bild L&ouml;schen	<img src='../bin/images/b_loeschen.png' border='0'> zur Verf&uuml;gung.<br>
Dabei besteht die M&ouml;glichkeit die Bildinformationen komplett aus der Datenbank zu l&ouml;schen.<br>
Fals gew&uuml;nscht wird auch die Bilddatei auf der Festplatte gel&ouml;scht.</p>

<br><br><a id='BilderAnzeigen'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Bilder und Videos anzeigen:</span>

<p>Starten Sie den Anzeigemodus mit	<img src='../bin/images/b_anzeigen.png' border='0'> auf der Startseite und navigieren Sie bis zum entsprechenden Bildverzeichnis.<br>
Mit den Navigationsbuttons k&ouml;nnen Sie zum gew&uuml;nschten Bild/Video Navigieren.</p>
<p><img src='../bin/images/b_pfeilll.png' border='0'>&nbsp;&nbsp;&nbsp; zum ersten Bild<br>
<img src='../bin/images/b_pfeill.png' border='0'>&nbsp;&nbsp;&nbsp; ein Bild zur&uuml;ck<br>
<img src='../bin/images/b_pfeilr.png' border='0'>&nbsp;&nbsp;&nbsp; ein Bild weiter<br>
<img src='../bin/images/b_pfeilrr.png' border='0'>&nbsp;&nbsp;&nbsp; zum letzten Bild</p>
<p>Die in der Datenbank gespeicherten Textinformationen werden Ihnen am rechten Rand angezeigt.</p>
<p>Bei der Anzeige von Bildern kann &uuml;ber einen Klick auf die Bildfl&auml;che oben rechts das Bild auf die ganze Seite expandiert werden.
Über Klick auf die Bildfl&auml;che oben links wieder auf Normalgr&ouml;ße eingestellt werden.
Ebenso ist die Navigation ein Bild weiter oder ein Bild zur&uuml;ck &uuml;ber die Bildfl&auml;chen mitte links und rechts m&ouml;glich. 
Bildfl&auml;che rechts und links unten Navigieren jeweils zum ersten oder letzten Bild.</p>

<p><img src='../bin/images/b_globus.png' border='0'>&nbsp;&nbsp;&nbsp; zur Kartenansicht</p>
<p>Bei der Anzeige von Bildern mit integrierten Geodaten wird der Button zum Umschalten auf die Kartenansicht angeboten.
<br>Die Karte wird angezeigt der Aufnahmeort durch einen Marker dargestellt.
<br>Mit	<img src='../bin/images/b_anzeigen.png' border='0'> wird die Kartenansicht verlassen und das Bild angezeigt</p>

<br><br><a id='BilderAnzeigenPrivat'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Privat Modus:</span>

<p>Der Privatmodus kann &uuml;ber die Buttons <img src='../bin/images/b_maske1_16x16.png' border='0'> und <img src='../bin/images/b_maske0_16x16.png' border='0'> ein und ausgeschaltet werden.<br>
Es werden nur Bilder angezeigt die nicht als privat in der Datenbank gekennzeichnet sind.</p>
<p>Die Eigenschaft privat ist f&uuml;r jedes Bild im Bearbeitungsmodus festzulegen.</p>

<br><br><a id='Bilderplayer'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Bilderplayer:</span>

<p>Starten Sie den Bilderplayer mit	<img src='../bin/images/b_autom.png' border='0'><br>
Mit dem Bilderplayer k&ouml;nnen Sie ganze Verzeichnisse oder &uuml;ber die Suchfunktion ermittelte Bilddateien automatisch abspielen.</p>
<p><img src='../bin/images/b_plus.png' border='0'>&nbsp;&nbsp;&nbsp; schneller anzeigen<br>
<img src='../bin/images/b_minus.png' border='0'>&nbsp;&nbsp;&nbsp; langsamer anzeigen</p>
<p>Der Bilderplayer l&auml;uft unendlich und kann &uuml;ber <img src='../bin/images/b_stopp.png' border='0'> oder	<img src='../bin/images/b_home.png' border='0'> beendet werden.</p>

<br><br><a id='BilderSuchen'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Bilder suchen</span>

<p>Starten Sie die Suchfunktion mit	<img src='../bin/images/b_suchen.png' border='0'><br>
Mit	<img src='../bin/images/b_personen.png' border='0'> wird eine alphabetische Liste aller in der Datenbank enthaltenen Personen angezeit.
<br>Mit	<img src='../bin/images/b_personenv.png' border='0'> wird die Liste nach Vornamen sortiert.
<br>Mit	<img src='../bin/images/b_personenn.png' border='0'> wird die Liste nach Nachnamen sortiert.
<br><br>Durch anklicken eines Namens werden alle zugeh&ouml;rigen Bilder angezeigt<br><br>
Das Suchformular bietet vielf&auml;ltige M&ouml;glichkeiten zur Suche.</p>
<table class='suchfunktion' ><tbody>
	<tr><td>Formularfeld</td><td>Beschreibung</td></tr>
	<tr><td valign='top'>Suchwort f&uuml;r Verzeichnis</td><td>hier k&ouml;nnen Sie eine Suchwort f&uuml;r die Verzeichnisebene2 eingeben<br>
			das Suchwort kann auch nur Teile des Begriffes enthalten<br>
			<br>Beispiel: Urlau&nbsp;&nbsp;&nbsp; findet das Verzeichnis Urlaub</td></tr>
	<tr><td valign='top'>Tag</td><td>Beispiel: 5 oder 05</td></tr>
	<tr><td valign='top'>Monat</td><td>Beispiel: 6 oder 06</td></tr>
	<tr><td valign='top'>Jahr</td><td>Beispiel: 2007 oder 07</td></tr>
	<tr><td valign='top'>Personen</td><td>folgende Suchbegriffe sind m&ouml;glich:<br>
			'Name' findet alle Bilder bei denen Name enthalten ist<br>
			'Name1 und Name1' findet alle Bilder bei denen sowohl Name1 als auch Name 2 vorhanden ist<br>
			'Name1 oder Name2' findet alle Bilder bei denen Name1 oder Name 2 vorhanden ist<br>
			<br>Das Ganze kann auch mit mehreren Namen kombiniert werden<br>
			'Name1 und Name2 und Name3 ...'</td></tr>
	<tr><td valign='top'>Bildbeschreibung</td><td>gleiche Vorgehensweise wie bei weitere Personen</td></tr>
	</tbody></table>
	
<p>Alle Felder bei denen keine Suchbedingung eingef&uuml;gt werden kann gilt automatisch die Suchbedingung und.</p>
<p class='text4'>Beispiele:</p>
<p>Sie suchen Urlaubsbilder mit Ihrem Freund Klaus Muster:<br>
&nbsp;&nbsp;&nbsp; als Suchwort f&uuml;r Verzeichnis geben Sie Urlaub ein, bei Personen ausw&auml;hlen Klaus Muster</p>
<p>Sie suchen Bilder aus dem Jahr 2007 bei dem Name1 oder Name 2 enthalten ist:<br>
&nbsp;&nbsp;&nbsp; im Feld Jahr geben Sie 2007 ein bei Personen Name 1 ausw&auml;hlen Button oder dr&uuml;cken und Name 2 w&auml;hlen</p>
<p>Am besten Sie probieren die M&ouml;glichkeiten aus.<br>
Bedenken Sie, je mehr Einschr&auml;nkungen Sie im Suchformular vornehmen, desto weniger Bilder bzw. keine Bilder werden gefunden.</p>

<br><br><a id='VideoKonvertieren'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Videos konvertieren:</span>
<p>Starten Sie die Videokonertierung mit <img src='../bin/images/b_film.png'> auf der Startseite.<br>
Nach Auswahl der Videodatei kann im Formular die Anzeigegr&ouml;ße sowie das Zielformat ausgew&auml;hlt werden.<br>
Als Zielformat steht .mp4, .flv, .avi, .wmv zur Verf&uuml;gung.<br>
Standardzielformat ist .mp4 als Container mit h.264 Videocodec und AAC Audio Codec.<br>
Die Darstellung von Videos ist abh&auml;ngig von den F&auml;higkeiten des verwendeten Browsers. Die beste Browser-Kompatibilit&auml;tet wird mit dem Standardzielformat erreicht.
<br>Je nach Leistung des verwendeten Rechners kann eine Konvertierung sehr lange dauern.
<br>Die Konvertierung erfolgt durch ffmpeg. Die ffmpeg Parameter k&ouml;nnen in der Verwaltung individuell angepasst werden.
</p>

<br><br><a id='Verwaltung'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Verwaltung und Konfiguration:</span>

<p>Starten Sie die Verwaltung und Konfiguration mit	<img src='../bin/images/b_admin.png' border='0'> auf der Startseite.<br>
<p>Wurde bei der Installation die Funktion Benutzerlogin mit Passwort ausgew&auml;hlt wird Ihnen im Submen&uuml; &uuml;ber den Button 
<img src='../bin/images/b_personen.png' border='0'> die M&ouml;glichkeit angeboten Benutzer zu verwalten.
Es k&ouml;nen die Benutzerarten Admin, Benutzer und eingeschr&auml;nkter Benutzer angelegt werden. Die vergebenen Passw&ouml;rter werden in der Datenbank verschl&uuml;sselt abgelegt.
Bei der Installation wird automatisch ein Benutzer mit dem Benutzernamen kontakt@raapp.de und dem Passwort 12345 angelegt.
Es wird empfohlen nach der Installation einen oder mehrere eigene Admin Benutzer anzulegen und dann den Benutzer kontakt@raapp.de zu l&ouml;schen.<br>

<br>Die Konfiguration der Basisparameter ist im Submen&uuml; &uuml;ber <img src='../bin/images/b_admin.png' border='0'> erreichbar.<br>
Die Konfigurationsparamter sind mit Defaultwerten vorbelegt und k&ouml;nnen individuell angepasst werden.<br>
Insgesamt k&ouml;nnen 4 Namen vordefiniert werden. Zus&auml;tzlich sollte zu jedem Namen ein Bild im Format .jpg hinterlegt werden.<br>
<br>Mit <img src='../bin/images/b_speichern.png' border='0'> k&ouml;nnen &Auml;nderungen abgespeichert werden.<br>
Mit <img src='../bin/images/b_kopieren.png' border='0'> k&ouml;nnen die Default-Werte wieder geladen werden.<br>
<br>Eine Kopie der Datenbank kann &uuml;ber das Submen&uuml; mit <img src='../bin/images/b_kopieren.png' border='0'> gestartet werden.<br>
Die Kopie befindet sich anschließend im Verzeichenis ../meinwebserver/raapp/db_export und kann &uuml;ber die Import Funktion wieder eingelesen werden.
<br><br>Pr&uuml;fen auf Update <img src='../bin/images/b_update.png' border='0'> bietet fals verf&uuml;gbar die automatische Installation des Update an.
<br>Die Scriptdateien der aktuellen Installation werden vor dem Update in das Verzeichnis ../meinwebserver/raapp/photo/bin/update gesichert.
<br><br>Sollte das automatische Update aus welchen Gr&uuml;den auch immer scheitern, kann das Update jederzeit auch manuell durchgef&uuml;hrt werden.

<br><br><span class='text4'>manuelles Update:</span>
<br>F&uuml;r den manuellen Update wird das raAPP Photo Standardpaket genutzt, das unter <a href='https://www.raapp.de/photo_downl.php'>https://www.raapp.de/photo_downl.php</a> zum download zur Verf&uuml;gung steht.
<br>Ein manuelles Update wird durch einfaches kopieren der Dateien in das Verzeichnis ../meinwebserver/raapp/photo durchgef&uuml;hrt.
<br>Nachdem die Dateien kopiert sind im Browser die URL ../meinwebserver/raapp/photo/bin/verwaltung.php?sw=11 aufrufen um das Update zu finalisieren.
<br><br><span class='text4'>!!! Achtung !!! Das Update auf Version 3.1 ist grunds&auml;tzlich manuell durchzuf&uuml;hren, da der Updateprozess v&ouml;llig neu entwickelt wurde.</span>
</p>

<br><br><a id='Systemvoraussetzungen'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Systemvoraussetzungen:</span>

<p>Apache Webserver<br>
MySQL- oder MariaDB- Datenbank
<br>PHP5 oder PHP7</p>
<br>Die Videokonvertierung basiert auf FFmpeg <a href='http://www.ffmpeg.org'>http://www.FFmpeg.org</a></p>

<br><br><a id='Installation'></a>
<div id='verzzeile'>
<a class='verz_button' href='javascript:history.back()'><img alt='zur&uuml;ck' src='../bin/images/b_verzr.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='#Inhaltsverzeichnis'><img alt='zum Inhaltsverzeichnis' src='../bin/images/b_verzo.png' border='0'></a>&nbsp;&nbsp;
<a class='verz_button' href='../index.html'><img alt='zur Startseite' src='../bin/images/b_home.png' border='0'></a></div>
<br><span class='text4'>Installation:</span>

<h4>Installation Ready to Run Paket f&uuml;r Windows</h4>
<p>Download Paket entpacken und Inhalt in das Wurzelverzeichnis der Festplatte kopieren.
Im Dateimanager in das Verzeichnis xampp wechseln und die Datei xampp_control.exe mit rechter Maustauste als Administrator starten.
Beim erstmaligen Start von XAMPP meldet sich die Windows Firewall. Hier bitte den Zugriff &uuml;ber das Netzwerk erlauben.
Im XAMPP Controlcenter Apache und mysql starten.
Browser starten und raAPP photo mit http://localhost:81/raapp/photo aufrufen und nutzen.</p>

<h4>Installation Standardpaket</h4>
<p>Der einfachste Weg eine Datenbank und einen Apache Server unter Windows zu installieren ist die XAMPP Distribution von <a HREF='https://www.apachefriends.org/de/index.html' target='_blank'>Apachefriends</a> zu verwenden.
	Download <a HREF='https://www.apachefriends.org/download.html' target='_blank'>hier</a><br>
	Die Videokonvertierung erfordert unter Windows die COM-Klasse in PHP. In Datei xampp/php/php.ini pr&uuml;fen ob die Zeile \"extension=php_com_dotnet.dll\" enthalten ist, 
fals nicht einfach mit dem Windows Standard Editor das Statement am Ende der Datei erg&auml;nzen.
<br><br>F&uuml;r Linux Systeme empfehlen wir auf die durch die Distributionen bereitgestellten Pakete f&uuml;r Apache und Mysql zur&uuml;ckzugreifen.<br>
<br>Die Installation von Apache Webserver, PHP und Datenbank ist identisch zur Installation von raAPP Kasse Server und kann dort im <a href='../../kasse/manual/install.php'> Manual </a>f&uuml;r die Plattformen Windows und Ubuntu nachgelesen werden.
<br>Die Videotutorials gibt es <a href='http://raapp.de/kasse/manual/index.php'> hier </a> f&uuml;r <a href='http://youtu.be/LzDl_CF5ylc'>Windows </a> f&uuml;r <a href='http://youtu.be/wkMtAWd-DOo'> Ubuntu </a>.
<br>Zur Verwaltung der Datenbank empfehlen wir phpMyAdmin, das in der XAMPP Distribution bereits enthalten ist, Installation unter Ubuntu einfach unter raAPP Kasse Server nachlesen.
<br><br>Fals noch nicht vorhanden eine Datenbank mit dem Namen raapp mittels phpMyAdmin anlegen.
<br><br>Anschließend im Apache root-Verzeichnis einen Ordner raapp anlegen und die Dateien aus dem raAPP Photo Paket in den Ordner kopieren.
Auch hier ist der Installationsvorgang analog raAPP Kasse Server und kann dort f&uuml;r die jeweilige Plattform nachgelesen werden.
Nachdem die Dateien kopiert sind das Bilderbuch mittels der URL http://localhost/raapp/photo starten.
<br><br>Nach Eingabe einiger Parameter erfolgt eine automatische Installation bei der die Datenbanktabellen angelegt werden, anschließend steht raAPP Photo zur Benutzung bereit.</p>


<br><br><p class='text4'>&copy; www.raAPP.de 2018</p>
<br><br>
</div>";
htmlfuss();
?>