<?php
/*
Copyright 2015	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

session_start();

header ( 'Content-Type: image/png' );

$fehlertext='Fehler bei der Bildaufbereitung in bild.php';

function bildfehler($fehlertext) {
	$im = @imagecreatetruecolor(320, 20)
	or die('Cannot Initialize new GD image stream');
	$text_color = imagecolorallocate($im, 233, 14, 91);
	imagestring($im, 1, 5, 5,  $fehlertext, $text_color);
	imagepng($im);
	imagedestroy($im);
}

ini_set('memory_limit', $_SESSION['speicherlimit']); 
$groesse=getimagesize($_SESSION['bild']);
	if($groesse[0]>$groesse[1]) {
		$divisor=$groesse[0]/($_GET['b']-$_SESSION['bbr1']);
	} else {
		$divisor=$groesse[1]/($_GET['h']-$_SESSION['bhr1']);
	}
$neuebreite=($groesse[0]/$divisor);
$neuehoehe=$groesse[1]/$divisor;

if($neuehoehe>($_GET['h']-$_SESSION['bhr1'])) {
	$divisor=$groesse[1]/($_GET['h']-$_SESSION['bhr1']);
	$neuebreite=($groesse[0]/$divisor);
	$neuehoehe=$groesse[1]/$divisor;
}

if($neuebreite>($_GET['b']-$_SESSION['bhr1']-200)) {
	$b=($_GET['b']-$_SESSION['bhr1']-200)/$neuebreite;
	$divisor=$divisor/$b;
	$neuebreite=($groesse[0]/$divisor);
	$neuehoehe=$groesse[1]/$divisor;
}

$image=imagecreatetruecolor($neuebreite, $neuehoehe);
if (empty($image)) { bildfehler($fehlertext); }
$imagesource=imagecreatefromjpeg($_SESSION['bild']);
imagecopyresized($image, $imagesource, 0, 0, 0, 0, $neuebreite, $neuehoehe, $groesse[0], $groesse[1]);
imagepng($image);
imagedestroy($image);
imagedestroy($imagesource);
ini_restore('memory_limit');

?>