<?php
/*
Copyright 2018	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.
*/

$tabellen = array ('photo_daten', 'photo_verz1', 'photo_verz2', 'photo_playlist', 'photo_usr');

$create_photo_daten="CREATE TABLE `photo_daten` (
  `satz` int(11) NOT NULL AUTO_INCREMENT,
  `verz1_id` double NOT NULL,
  `verz2_id` double NOT NULL,
  `bild` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  `tag` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `monat` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `jahr` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `privat` int(3) NOT NULL,
  `person` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `bildtext` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `sortier` int(11) NOT NULL,
  PRIMARY KEY (`satz`),
  KEY `bild` (`bild`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=DYNAMIC";

$create_photo_playlist="CREATE TABLE `photo_playlist` (
  `pl_satz` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=FIXED";
	
$create_photo_verz1="CREATE TABLE `photo_verz1` (
  `verz1_id` double NOT NULL AUTO_INCREMENT,
  `verz1_titel` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`verz1_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=DYNAMIC";
	
$create_photo_verz2="CREATE TABLE `photo_verz2` (
  `verz2_id` double NOT NULL AUTO_INCREMENT,
  `verz1_id` double NOT NULL,
  `verz2_titel` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `verz2_zeitraum_von` date DEFAULT NULL,
  `verz2_zeitraum_bis` date DEFAULT NULL,
  PRIMARY KEY (`verz2_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=DYNAMIC";

$create_photo_usr="CREATE TABLE `photo_usr` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mailadresse` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `passw` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `typ` int(11) NOT NULL,
  `aktiv` int(11) NOT NULL,
  `bemerkung` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=DYNAMIC";
?>