<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include("config.php");
include("funktionen.php");
pruefe_https();

if($raapp_login==1) { sessioncheck(1); }

function menu_anzeigen($raapp_mode) {
	global $raapp_login;
	zeige_starttopl();
		
	echo "<div id='start-mitte'>
		<div id='verzzeile'>";
	if($raapp_login==1) { 
		echo "<a class='verz_button' href='index.php?logout=1' onmouseover='InfoBoxAnzeigen(event,info[20],20,-30);' onmouseout='InfoBoxAusblenden();'><img src='../bin/images/b_logout.png'></a>";
	}
	echo " <a class='verz_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a></div><br>";
	if($raapp_login==1) {
		echo "<div id='verzzeile'><div id='menu'>Benutzer</div><a class='verz_button' href='benutzer.php?sw=0'><img src='../bin/images/b_personen.png'></a></div>";
	}
	echo "<div id='verzzeile'><div id='menu'>Konfiguration</div><a class='verz_button' href='config_xml.php?sw=0'><img src='../bin/images/b_admin.png'></a></div>
		<div id='verzzeile'><div id='menu'>Datenbank</div><a class='verz_button' href='verwaltung.php?sw=2'><img src='../bin/images/b_kopieren.png' name='Grafik3'></a></div>
		<div id='upd1'><div id='verzzeile'><div id='menu'>pr&uuml;fen auf Update</div><img class='verz_button' src='../bin/images/b_update.png' onclick='laden_update(" . $_SESSION['photoversion'] . ", $raapp_mode)'></div></div>
		<div id='upd2' style='display:none'></div>
		</div>";
	zeige_startrunten();
}

function updaten($raapp_mode, $get) {


	$updverzeichnis=getcwd() . DIRECTORY_SEPARATOR . "update";
	if (file_exists($updverzeichnis)===FALSE) {
		// Dateiverzeichnis erzeugen
		mkdir($updverzeichnis);
		chmod($updverzeichnis, 0766);
	}
	

// Backup der bisherigen Version durchführen
	echo "<div class='aktion'>Sicherung der aktuellen Version</div>";
	
	// Datenbank Struktur und Daten sichern
	$post['export'] = 'Struktur';
	sqlExport($post);
		
		// Scripte sichern
	$script_alt=".." . DIRECTORY_SEPARATOR . "bin";
	$script_backup=getcwd() . DIRECTORY_SEPARATOR . "update" . DIRECTORY_SEPARATOR . "backup_raAPP_Photo_" . date("Y-m-d_G-i-s");
	
	// Dateinamen in Array schreiben	
	$dateien=array();
	$pdir=array("", "bin", "images", "ffmpeg");
	chdir("..");
	$paketdir[0]=getcwd();
	$paketdir[1]=$paketdir[0] . DIRECTORY_SEPARATOR . $pdir[1];
	$paketdir[2]=$paketdir[1] . DIRECTORY_SEPARATOR . $pdir[2];
	$paketdir[3]=$paketdir[1] . DIRECTORY_SEPARATOR . $pdir[3];
	
	$i=0;
	foreach($paketdir as $paketd) {
		$files=scandir($paketd);
		foreach ($files as $file) {
			if ($file != "." && $file != ".." && !is_dir($paketd . DIRECTORY_SEPARATOR . $file)) {
				if($i>1) {
					$ppdir="bin" . DIRECTORY_SEPARATOR . $pdir[$i];
					array_push($dateien, array($ppdir, $file));
				} else {
					array_push($dateien, array($pdir[$i], $file));
				}
			}
		}
		$i++;
	}

	// Neues Verzeichnis für Backup erzeugen
	echo "<div class='aktion'>Backupverzeichnis erzeugen</div>";
	if(!mkdir($script_backup)) {
		echo "<p class='aktionError'>Fehler beim erstellen von Verzeichnis $script_backup</p>";
	} else {
		chmod($script_backup, 0777);
		echo "<p class='aktionOK'>Verzeichnis $script_backup erfolgreich erstellt</p>";
	}
	
	// Dateien kopieren
	echo "<div class='aktion'>Dateien werden in das Backupverzeichnis kopiert</div>
		<div id='warten1' class='loader'></div>";
	ob_flush();
	flush();
	$fehler=FALSE;
	foreach ($dateien as $datei) {
		if($datei[0]=="") {
			if (!copy($datei[1], $script_backup . DIRECTORY_SEPARATOR . $datei[1])) {
				echo "<p class='aktionError'>Fehler beim kopieren von $datei[1]</p>";
				$fehler=TRUE;
			} else {
				chmod($script_backup . DIRECTORY_SEPARATOR . $datei[1], 0777);
			}
		} else {
			// Wenn Verzeichnis nicht existiert Verzeichnis erstellen
			if (!file_exists($script_backup . DIRECTORY_SEPARATOR . $datei[0])) {
				if(!mkdir($script_backup . DIRECTORY_SEPARATOR . $datei[0])) {
					echo "<p class='aktionError'>Fehler beim erstellen von Verzeichnis $script_backup . DIRECTORY_SEPARATOR . $datei[0]</p>";
					$fehler=TRUE;
				} else {
					chmod($script_backup . DIRECTORY_SEPARATOR . $datei[0], 0777);
				}
			}
			$backup_quelle="." . DIRECTORY_SEPARATOR  . $datei[0] . DIRECTORY_SEPARATOR . $datei[1];
			$backup_ziel=$script_backup . DIRECTORY_SEPARATOR . $datei[0] . DIRECTORY_SEPARATOR . $datei[1];
			if (!copy($backup_quelle, $backup_ziel)) {
				$fehler=TRUE;
				echo "<p class='aktionError'>Fehler beim kopieren von $backup_quelle nach $backup_ziel</p>";
			} else {
				chmod($backup_ziel, 0777);
			}
		}
	}
	echo "<script>document.getElementById ('warten1').style.display = 'none';</script>";
	if($fehler) {
		echo "<p class='aktionError'>Fehler beim kopieren der Backupdateien</p>";
	} else {
		echo "<p class='aktionOK'>Backup Dateien erfolgreich nach $script_backup kopiert</p>";
	}
	ob_flush();
	flush();
	
	
// Update vom Server holen
	echo "<p class='aktion'>Die Dateien werden von raAPP.de geholt</p>";
	ob_flush();
	flush();
	if($raapp_mode==1) { // Entwicklungsmodus
		$quelle="http://localhost/raapp/paket/" . $get['p'];
		$o="http://localhost/raapp/raappupd.php?sw=1&p=" . $get['p'];
	} else { // Normalmodus
		$quelle="https://www.raapp.de/paket/" . $get['p'];
		$o="https://www.raapp.de/raappupd.php?sw=1&p=" . $get['p'];
	}
	
	// Zielverzeichnisse anlegen
	$verz=array($get['p'],
						$get['p'] . DIRECTORY_SEPARATOR . "bin",
						$get['p'] . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "images",
						$get['p'] . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "ffmpeg");
	
	foreach ($verz as $verzei) {
		$ziel= albumpfad() . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "update" . DIRECTORY_SEPARATOR . $verzei;
		if(!file_exists($ziel)) {
			if(mkdir($ziel, 0777)) {
				chmod($ziel,0777);
				echo "<p class='aktionOK'>Das Verzeichnis $ziel wurde erfolgreich angelegt</p>";
			} else {
				echo "<p class='aktionError'>Das Verzeichnis $ziel konnte nicht angelegt werden!<br>
						Der Update von raAPP Photo wurde abgebrochen.<br>
						Bitte die Zugriffsrechte im Dateipfad überprüfen</p>";
				exit();
			}
		}
	}
	$ziel= albumpfad() . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "update" . DIRECTORY_SEPARATOR . $get['p'];
	
	// Dateinamen zum Paket vom Server holen
	$fp = fopen($o,'r');
	$dateien=json_decode(fgets($fp));
	
	// Dateien vom Server in lokales Verzeichnis kopieren
	echo "<div id='warten2' class='loader'></div>";
	ob_flush();
	flush();
	$zaehler=1;
	
	foreach ($dateien as $datei) {
		switch ($datei[0]) {
			case "bin":		$qpfad=$datei[0] . '/' . $datei[1];
							$zpfad=$datei[0] . DIRECTORY_SEPARATOR . $datei[1];
			// echo "der Pfad $pfad<br>";
							break;
			case "images":	$qpfad="bin" . '/' . $datei[0] . '/' . $datei[1];
							$zpfad="bin" . DIRECTORY_SEPARATOR . $datei[0] . DIRECTORY_SEPARATOR . $datei[1];
							break;
			case "ffmpeg":	$qpfad="bin" . '/' . $datei[0] . '/' . $datei[1];
							$zpfad="bin" . DIRECTORY_SEPARATOR . $datei[0] . DIRECTORY_SEPARATOR . $datei[1];
							break;
			default:		$qpfad=$datei[1];
							$zpfad=$datei[1];
							break;
		}
		
		if(!@copy($quelle . "/" . $qpfad, $ziel . DIRECTORY_SEPARATOR . $zpfad))
		{
			$errors= error_get_last();
			echo "Fehler beim kopieren der Datei $qpfad von raAPP.de: ".$errors['type'] . "<br />\n".$errors['message'];
			exit();
		} else {
			chmod($ziel . DIRECTORY_SEPARATOR . $zpfad,0777);
			$zaehler++;
		}
	}
	
	echo "<script>document.getElementById ('warten2').style.display = 'none';</script>
	<p class='aktionOK'>$zaehler Dateien erfolgreich von raAPP.de kopiert</p>";
	ob_flush();
	flush();
	
	
// Neue Dateien an richtige Stelle kopieren
	echo "<div class='aktion'>Kopiere Update in das Produktivverzeichnis</div>";
	echo "<div id='warten3' class='loader'></div>";
	$zaehler=1;
	
	foreach ($dateien as $datei) {
		switch ($datei[0]) {
			case "bin":		$pfad=$datei[0] . DIRECTORY_SEPARATOR . $datei[1];
			// echo "der Pfad $pfad<br>";
			break;
			case "images":	$pfad="bin" . DIRECTORY_SEPARATOR . $datei[0] . DIRECTORY_SEPARATOR . $datei[1];
			break;
			case "ffmpeg":	$pfad="bin" . DIRECTORY_SEPARATOR . $datei[0] . DIRECTORY_SEPARATOR . $datei[1];
			break;
			default:		$pfad=$datei[1];
			break;
		}
		$quelle=albumpfad() . DIRECTORY_SEPARATOR . "bin" . DIRECTORY_SEPARATOR . "update" . DIRECTORY_SEPARATOR . $get['p'] . DIRECTORY_SEPARATOR . $pfad;
		$pfad=substr($pfad, 0, strlen($pfad)-1);  // angehängten Bindestrich entfernen
		$ziel=albumpfad() . DIRECTORY_SEPARATOR . $pfad;
		// echo "Quelle: $quelle - Ziel: $ziel<br>";
		
		if(!@copy($quelle, $ziel))
		{
			$errors= error_get_last();
			echo "Fehler beim kopieren der Datei $pfad: ".$errors['type'] . "<br />\n".$errors['message'];
			exit();
		} else {
			if (!betriebssystem()==2) {
				chmod($ziel . DIRECTORY_SEPARATOR . $pfad,0777);  // chmod funktioniert bei Windows nicht
			}
			$zaehler++;
		}
	}
	echo "<script>document.getElementById ('warten3').style.display = 'none';</script>
	<p class='aktionOK'>$zaehler Dateien erfolgreich kopiert</p>";
	ob_flush();
	flush();
	
	
// Nacharbeiten Update durchführen
	echo "<div class='aktion'>Nacharbeiten durchführen</div>";
	$filename="config.xml";
	
	//Seite neu laden, damit der Code vom neuen Script ausgeführt wird
	// header("Refresh:0; url=verwaltung.php?sw=11");
	echo "<script>window.location.assign('verwaltung.php?sw=11')</script>";
}

function update_NachNeuLaden($get) {
	echo "<div class='aktion'>Nacharbeiten durchführen nach Neu laden</div>";
	// echo "VersionAlt: " . $get['va'] . "VersionNeu: " . $get['vn'] . "<br>";
	
	if(updaten_fertigstellen()) {
		echo "<p class='aktionOK'>Update erfolgreich</p>";
	} else {
		echo "<p class='aktionError'>Update konnte nicht vollst&auml;ndig installiert werden</p>";
	}
	 echo "<br><br><br>zur&uuml;ck zu raAPP Photo <a class='verz_button' href='../index.html'><img src='../bin/images/b_home.png' alt='Home'></a></div>";
}

function updaten_fertigstellen () {
	global $link;
	
	//config.php prüfen und ergänzen
	echo "<p class='aktion'>" . TextExistiertErsetzen("config.php", "config.php", "raapp_login", "?>", "\t\$raapp_login=0;\n?>") . "</p>";
	echo "<p class='aktion'>" . TextExistiertErsetzen("config.php", "config.php", "raapp_mode", "?>", "\t\$raapp_mode=0;\n?>") . "</p>";
	
	// config.xml prüfen und ergänzen
	$filename="config.xml";
	
	if (!xml_vartest("karte")) { xml_varschreiben("karte", "0"); }
	if (!xml_vartest("goglkey")) { xml_varschreiben("goglkey", ""); }
	
	if(TabelleSpalteExistiert( "photo_daten", "nam1")) {
		// Datenbank anpassen vordefinierte namen aus Spalten nam1 bis nam4 in person übertragen und nam1 bis nam 4 löschen
		// ab Version 3.x
		TabelleDatenNamen();
	}
	
	if(!TabelleExistiert( "photo_usr" )) {
		// Tabelle photo_usr erzeugen
		include("conf_tables.php");
		if(mysqli_query($link, $create_photo_usr)) {
			echo "<p class='aktionOK'>Tabelle photo_usr erfolgreich erstellt</p>";
		} else {
			echo "<p class='aktionError'>Tabelle photo_usr konnte nicht angelegt werden</p>";
			return(FALSE);
		}
		// Standardbenutzer kontakt@raapp.de mit Standardpasswort 12345 einrichten
		$passwh=password_hash('12345', PASSWORD_DEFAULT);
		$abfrage="INSERT into photo_usr set mailadresse='kontakt@raapp.de', passw='" . $passwh . "', typ='0', aktiv='1', bemerkung='Standardbenutzer'";
		if(mysqli_query($link, $abfrage)) {
			echo "<p class='aktionOK'>Standarduser kontakt@raapp.de mit Passwort 12345 erfolgreich erstellt</p>";
		} else {
			echo "<p class='aktionError'>Der Standardbenutzer kontakt@raapp.de konnte nicht angelegt werden</p>";
			return(FALSE);
		}
	}
	
	$dateiverzeichnis=$_SERVER['DOCUMENT_ROOT'] . DIRECTORY_SEPARATOR . "raapp" . DIRECTORY_SEPARATOR .  "db_export";
	if (file_exists($dateiverzeichnis)===FALSE) {
		// Dateiverzeichnis erzeugen
		mkdir($dateiverzeichnis);
		chmod($dateiverzeichnis, 0766);
	}
	
	return(TRUE);
}

function TabelleDatenNamen() {
	global $link;
	global $zurueckbutton;

	$i=1;

	echo "Update der Datenbankinhalte von raAPP Photo 2.x nach raAPP Photo 3<br><br>";

	while ($i <= 4) {
		echo "Update vordefinierter Name $i wird durchgef&uuml;hrt<br>";
		$snam="nam" . $i;
		$abfrage="SELECT * FROM `photo_daten` WHERE `" . $snam . "`=1";
		$erg = mysqli_query($link, $abfrage);

		while ( $myphoto=mysqli_fetch_object( $erg )) {
			$vnam="dev_vname" . $i;
			$nnam="dev_nname" . $i;
			if($myphoto->person== "") {
				$personen=$myphoto->person . $_SESSION[$vnam] . " " . $_SESSION[$nnam];
			} else {
				$personen=$myphoto->person . ", " . $_SESSION[$vnam] . " " . $_SESSION[$nnam];
			}
			// echo "$personen " . $myphoto->satz . "<br>";
			$abfrage1="UPDATE photo_daten SET person='" . $personen ."' where `satz`=$myphoto->satz";
			// echo "$abfrage1<br>";
			$erg1 = mysqli_query($link, $abfrage1);
				
		}
		echo "Update vordefinierter Name $i wurde durchgef&uuml;hrt<br>";
		$i++;
	}
	// Löschen Tabellenspalten
	$abfrage="ALTER TABLE `photo_daten` DROP `nam1`, DROP `nam2`, DROP `nam3`, DROP `nam4`";
	$erg = mysqli_query($link, $abfrage);

	echo "<br>Die Spalten nam1, nam2, nam3 und nam4 wurden aus der Tabelle photo_daten gel&ouml;scht<br>";

	// Tabellenspalte sortier zufügen
	$abfrage="ALTER TABLE `photo_daten` ADD `sortier` INT NOT NULL AFTER `bildtext`";
	$erg = mysqli_query($link, $abfrage);

	echo "<br>Die Spalte sortier wurde in die Tabelle photo_daten eingef&uuml;gt<br>";
	
	// Füllen der Spalte sortier bei bestehenden Datensätzen
	$i=1;
	$s=0;
	$abfrage = "SELECT * from photo_verz2";
	$ergv = mysqli_query($link, $abfrage);
	while($myverz = mysqli_fetch_object($ergv)) {
		$abfragebild = "SELECT * from photo_daten where verz2_id=" . $myverz->verz2_id . " order by bild";
		// echo "$abfragebild<br>";
		$ergb = mysqli_query($link, $abfragebild);
		while($myphoto = mysqli_fetch_object($ergb)) {
		
			$upd="UPDATE photo_daten SET sortier='" . $i . "' where `satz`=$myphoto->satz";
			// echo "$upd<br>";
			$erg = mysqli_query($link, $upd);
			$i++;
			$s++;
		}
		$i=1;
	}
	
	echo "<br>Update Spalte sortier in $s Datens&auml;tzen<br>";
	
	echo "<br><br>Der Datenbank Update auf raAPP Photo V3 wurde durchgef&uuml;hrt<br>
	<br>Viel Spaß bei der Nutzung von raAPP Photo<br>
	$zurueckbutton";
}

function db_kopie_form() {
	global $link;
	echo "
	<p><h3>Daten aus Datenbank exportieren</h3>
	 	<form method='post' action='verwaltung.php?sw=3'>
  		<input type='radio' name='export' value='Daten' checked onmouseover='InfoBoxAnzeigen(event,info[7],20,-30);' onmouseout='InfoBoxAusblenden();'> Daten exportieren<br>
  		<input type='radio' name='export' value='Struktur' onmouseover='InfoBoxAnzeigen(event,info[8],20,-30);' onmouseout='InfoBoxAusblenden();'> Tabellenstruktur und Daten exportieren<br>
  		<input class='navig' type='submit' value='Export starten'>
		</form></p>";
	echo "<br><p><h3>Daten in Datenbank importieren</h3>
		<form action='verwaltung.php?sw=4' method='post' enctype='multipart/form-data' />
		<input type='file' name='datei' /><br><br>
		Der Import l&ouml;scht alle vorhandenen Daten, erzeugt die Tabellen und l&auml;dt die Daten aus der ausgew&auml;hlten SQL-Datei<br>
		<input class='navig' type='submit' name='submit' value='Import starten' />
		</form>
		<br><br></p>";
}

function tabelleninhalt($tabelle, $post) {
	include("conf_tables.php");
	global $link;
	$content="";

	// Spaltennamen Tabelle holen
	$abfrage="Show columns from " . $tabelle;;
	$erg = mysqli_query($link, $abfrage);

	$i=0;
	while ( $myphoto=mysqli_fetch_object( $erg )) {
		$spalten[$i]=$myphoto->Field;
		$i++;
	}

	// Tabelle schreiben
	$abfrage="SELECT * FROM " . $tabelle;
	$erg = mysqli_query($link, $abfrage);

	if($post['export'] == 'Struktur') {
		$create="create_" . $tabelle;
		$content.= $$create . ";\n\n";		// $$create nutzt den Inhalt von $create als variablenname
	}
	$content.="LOCK TABLES `" . $tabelle . "` WRITE; \n\n";
	$ins="INSERT INTO `" . $tabelle . "` VALUES ";
	$i=0;
	$s=0;
	$schritt=100;	//Anzahl Datensätze pro Insert
	$block=$schritt;

	while ( $myphoto=mysqli_fetch_object( $erg )) {
		if($i==0) {	
			$komma=""; // beim ersten Datensatz kein Komma setzen
			$content.=$ins;
		} else { $komma=", "; }
		
		if($i>$block) {
			$content.=$ins;
			$komma=""; // beim ersten Datensatz kein Komma setzen
			$block=$block+$schritt;
		}
		$content.="$komma(";
		foreach($spalten as $spalte) {
			if($s==0) {
				$skomma="";
			} else { $skomma=", ";	} // bei der ersten Spalte kein Komma setzen
			$content.="$skomma '" . strtr($myphoto->$spalte,"'","\'")  . "'";
			$s++;
		}
		if($i<$block) {
			$content.=")";
		} else {
			$content.=");\n\n";
		}
		$s=0;
		$i++;
	}
	if($i<$block) $content.=";";
	$content.="\n\nUNLOCK TABLES;";

	return($content);
}

function sqlExport($post) {
	include("config.php");
	include("conf_tables.php");
	global $link;

	echo "<br><div class='aktion'>Datenbank wird gesichert</div><br>";
	$filename=$_SERVER['DOCUMENT_ROOT'] . DIRECTORY_SEPARATOR . "raapp" . DIRECTORY_SEPARATOR .  "db_export" . DIRECTORY_SEPARATOR . strftime('%Y-%m-%d_') . $db_name . "_photo.sql";
	$content="-- raAPP Photo\n\n";

	foreach($tabellen as $tabelle) {
		$content.=tabelleninhalt($tabelle, $post) . "\n\n";
		echo "Tabelle $tabelle wurde exportiert<br>";
	}

	// $content  = mb_convert_encoding($content,'UTF-8');
	$fHandle  = fopen($filename,'wb');
	fwrite($fHandle, pack("CCC",0xef,0xbb,0xbf));
	if(fwrite($fHandle, $content)== FALSE) {
		echo "<br>Fehler beim schreiben von $filename<br><br";
} else {
echo "<br><div class='aktionOK'>$filename<br>wurde erfolgreich gespeichert</div><br>";
}
fclose($fHandle);

chmod($filename, 0766);
}

function sqlUpload_check() {
	GLOBAL $zurueckbutton;
	
	if(isset($_FILES['datei']) && $_FILES['datei']['size'] != 0 && !$_FILES['datei']['error']) {

		$endung = explode('.', $_FILES['datei']['name']);
		$endung = strtolower($endung[sizeof($endung)-1]);

		if($endung != 'sql') {
			$fehler[] = 'ung&uuml;ltige Dateiendung ('.$endung.')';
		}

		if($_FILES['datei']['type'] != 'application/sql') {
			$fehler[] = 'ung&uuml;ltiger Dateityp ('.$_FILES['datei']['type'].')';
		}

		if($_FILES['datei']['size'] > 10000000) {
			$fehler[] = 'Datei ist zu groß ('.number_format($_FILES['datei']['size']/'1024', 2,'', '.' ).'kB statt erlaubte '.'10000000'/'1024'.'kB )';
		}
		$neuerName=$_SERVER['DOCUMENT_ROOT'] . DIRECTORY_SEPARATOR . "raapp" . DIRECTORY_SEPARATOR .  "db_export" . DIRECTORY_SEPARATOR . "UPL_" . $_FILES['datei']['name'];

		if(empty($fehler)) {
			if(move_uploaded_file($_FILES['datei']['tmp_name'], $neuerName)) {
				chmod($neuerName, 0766);
				$text = $neuerName;
			}
			$status=TRUE;
		} else {
			$status=FALSE;
			$text = '<b>Folgende Fehler sind aufgetreten:</b><br/>';
			foreach($fehler as $value) {
				$text .= $value.'<br/>';
			}
		}
	} else {
		$text .= "Es wurde keine Datei f&uuml;r den Import angegeben<br><br>
				Bitte Datei ausw&auml;hlen<br>$zur&uuml;ckbutton";
	}
	return array($status, $text);
}

function sqlImport($post, $filename) {
	include("config.php");
	global $link;

	erstelle_tabellen($link);
	
	if(!file_exists($filename))
		return false;

	echo "Datei $filename wird eingelesen<br><br>";
	// Temporary variable, used to store current query
	$templine = '';

	// Datei einlesen
	$lines = file($filename, FILE_SKIP_EMPTY_LINES);
	$i=0;

	foreach ($lines as $line)
	{
		// Prüfen 1. Zeile ob es sich um eine raAPP Kasse Datei handelt
		if (substr($line, 0, 17) == '﻿-- raAPP Photo' && $i==0) {
			echo "raAPP Photo Datei erkannt<br><br>";
			$i++;
			continue;
		} else {
			if ( $i==0)	{
				echo "keine raAPP Photo-sql-Datei<br>
					der Import wurde abgebrochen<br><br>";
				return false;  // keine raAPP Photo Datei
			}
			$i++;
		}

		// Kommentare überspringen
		if (substr($line, 0, 2) == '--' || $line == '')
			continue;

		// Zeile zufügen
		$templine .= $line;
		// semicolon am Ende bedeute Query Statement ist fertig ingelesen
		if (substr(trim($line), -1, 1) == ';')
		{
			// Query ausführen
			mysqli_query($link, $templine) or print('Error performing query \'<strong>' . $templine . '\': ' . mysql_error() . '<br /><br />');
			// löschen der variable
			$templine = '';
		}
	}
	unlink($filename);
	echo "<br>Tabellen erfolgreich importiert";
}

// schreibt eine Datei index.html in das Verzeichnis $dir und das verzeichnis darüber
// wir aus Sicherheitsgründen in jedem Bildverzeichnis benötigt um Zugriffe über URL zu verhindern

function schreibe_indexhtml($dir) {
	$pos=strrpos($dir,DIRECTORY_SEPARATOR)+1;
	$dir1=substr($dir,0,$pos);

	$files[0]= $dir . DIRECTORY_SEPARATOR . "index.html";
	$files[1]= $dir1 . "index.html";

	$inhalt="<!DOCTYPE html>
	<html>
	<head>
	<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
	<TITLE>Photoalbum</TITLE>
	</head>
	<body>
	<br>Sie sind nicht berechtigt auf diese Seite zuzugreifen
	</body>
	</html>";

	//index.html in verz1 und verz2 schreiben
	foreach ($files as $file) {
		if (!$handle = fopen($file, "w")) {
			echo("Kann die Datei $file nicht &ouml;ffnen<br>");
		}

		// Schreibe in die geöffnete Datei.
		if (!fwrite($handle, $inhalt)) {
			echo("Kann in die Datei $file nicht schreiben<br>");
		}
		fclose($handle);
		chmod($file, 0766);
	}
}

// Alle index.html in Bildverzeichnissen neu schreiben
function schreibe_alle_indexhtml() {
	global $link;
	
	$pfad= albumpfad();
	$abfrage="SELECT `verz1_titel`, `verz2_titel` FROM `photo_verz1` inner join `photo_verz2` on photo_verz1.verz1_id=photo_verz2.verz1_id";
	$erg = mysqli_query($link, $abfrage);
	
	$i=0;
	while ( $myphoto=mysqli_fetch_object( $erg )) {
		$dir= $pfad . DIRECTORY_SEPARATOR . $myphoto->verz1_titel . DIRECTORY_SEPARATOR . $myphoto->verz2_titel;
		schreibe_indexhtml($dir);
		echo "$dir<br>";
		$i++;
	}
	echo "index.html in $i Verzeichnissen gesetzt";
}

htmlkopf();

if(!isset($_GET['sw'])) {
	$_GET['sw']=0;
}

$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);
$kopf="<div id='container'><div id='kopf'>". $_SESSION['albumname'] . "</div>";
$zurueckbutton="<div id='verzzeile'><a class='verz_button' href='verwaltung.php?sw=0'><img src='../bin/images/b_verzo.png' alt='Home'></a></div>";

switch ($_GET['sw']) {
	case 0:
			menu_anzeigen($raapp_mode);
			break;
	case 1:	set_time_limit(240); // 4 Minuten für langsame Verbindungen
			updaten($raapp_mode, $_GET);
			break;
	case 11:
			update_NachNeuLaden($_GET);
			break;
	case 2:	echo $kopf;
			echo $zurueckbutton;
			db_kopie_form();
			echo "</div>";
			break;
	case 3:	echo $zurueckbutton;
			sqlExport($_POST);
			break;
	case 4:	$r=sqlUpload_check();
			if($r[0]==TRUE) {
				sqlImport($_POST, $r[1]); // Check ok Dateiname wird übergeben
			} else {
				echo "$r[1]";		// Check mit Fehler, Fehlertext ausgeben
			}
			break;
				
	case 5:	// für manuelles Update der Datenbankinhalte von raAPP Photo 2.x nach raAPP Photo 3
			TabelleDatenNamen();
			break;
			
	case 6: // für Webserver bei denen Zugriff auf Directory-Listing über URL möglich ist sollten in allen Ordnern index.html geschrieben werden
			// um die Anzeige des Directory Listing zu verhindern
			schreibe_alle_indexhtml();
			break;
	default:
			echo "toll";
			break;
}
htmlfuss();
?>